screen charascreen():

    tag menu

    use game_menu(_("Characters"), scroll="None"):

        add "charamenuback.JPG" xpos 0.1 ypos -0.19
        imagebutton:
            xpos 0.425
            ypos -0.145
            auto "menu_thumb_azumi_%s.PNG"
            action ShowMenu("charascreenazumi")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.576
            ypos -0.075
            auto "menu_thumb_ina_%s.PNG"
            action ShowMenu("charascreenina")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.687
            ypos 0.113
            auto "menu_thumb_hisaaki_%s.PNG"
            action ShowMenu("charascreenhisaaki")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.728
            ypos 0.362
            auto "menu_thumb_kimiko_%s.PNG"
            action ShowMenu("charascreenkimiko")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.687
            ypos 0.62
            auto "menu_thumb_akira_%s.PNG"
            action ShowMenu("charascreenakira")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.576
            ypos 0.805
            auto "menu_thumb_nari_%s.PNG"
            action ShowMenu("charascreennari")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.426
            ypos 0.874
            auto "menu_thumb_sumi_%s.PNG"
            action ShowMenu("charascreensumi")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.275
            ypos 0.805
            auto "menu_thumb_midori_%s.PNG"
            action ShowMenu("charascreenmidori")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.163
            ypos 0.62
            auto "menu_thumb_hana_%s.PNG"
            action ShowMenu("charascreenhana")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.122
            ypos 0.362
            auto "menu_thumb_takane_%s.PNG"
            action ShowMenu("charascreentakane")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.164
            ypos 0.112
            auto "menu_thumb_asuka_%s.PNG"
            action ShowMenu("charascreenasuka")
            hover_sound "audio/sounds/menuaccent.mp3"

        if me17_done == False:
            imagebutton:
                xpos 0.274
                ypos -0.075
                auto "menu_thumb_cat2_%s.PNG"
                action ShowMenu("charascreencat2")
                hover_sound "audio/sounds/menuaccent.mp3"


        else:
            imagebutton:
                xpos 0.274
                ypos -0.075
                auto "menu_thumb_cat_%s.PNG"
                action ShowMenu("charascreencat")
                hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenazumi():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_azumi1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Azumi Ando." size 175 color "#e73118" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [azaff]" size 100 color "#e73118" font "fonts/endor.ttf"

            hbox:
                text "Lust: [azlust]" size 100 color "#e73118" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [azpoint]/60             Replays:" size 55 color "#e73118" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_azevents_%s.PNG"
            action ShowMenu("eventscreenazumi")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_azreplay_%s.WEBP"
            action ShowMenu("replayscreenazumi")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenina():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_ina1.jpeg":
            xpos -0.4
            ypos -0.2
        hbox:
            ypos -0.25
            text "Ina Ikeda." size 175 color "#13def0" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [iaff]" size 100 color "#13def0" font "fonts/endor.ttf"

            hbox:
                text "Lust: [ilust]" size 100 color "#13def0" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [ipoint]/58             Replays:" size 55 color "#13def0" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_ievents_%s.PNG"
            action ShowMenu("eventscreenina")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_ireplay_%s.WEBP"
            action ShowMenu("replayscreenina")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenhisaaki():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_hisaaki1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.2
            text "Hisaaki Hirano." size 145 color "#a2a39B" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [hiaff]" size 100 color "#a2a39B" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [hipoint]/58" size 55 color "#a2a39B" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_hievents_%s.PNG"
            action ShowMenu("eventscreenhisaaki")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenkimiko():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_kimiko1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Kimiko Kida." size 175 color "#4b12cc" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [kaff]" size 100 color "#4b12cc" font "fonts/endor.ttf"

            hbox:
                text "Lust: [klust]" size 100 color "#4b12cc" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [kpoint]/60              Replays:" size 55 color "#4b12cc" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_kevents_%s.PNG"
            action ShowMenu("eventscreenkimiko")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_kreplay_%s.WEBP"
            action ShowMenu("replayscreenkimiko")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenakira():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_akira1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.2
            text "Akira Ashikaga." size 145 color "#3cf013" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [akaff]" size 100 color "#3cf013" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [akpoint]/44" size 55 color "#3cf013" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_akevents_%s.PNG"
            action ShowMenu("eventscreenakira")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreennari():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_nari1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Nari Nishimura." size 175 color "#ea2a9e" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [naff]" size 100 color "#ea2a9e" font "fonts/endor.ttf"

            hbox:
                text "Lust: [nlust]" size 100 color "#ea2a9e" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [npoint]/60             Replays:" size 55 color "#ea2a9e" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_nevents_%s.PNG"
            action ShowMenu("eventscreennari")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_nreplay_%s.WEBP"
            action ShowMenu("replayscreennari")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreensumi():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_sumi1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Sumi Shimada." size 175 color "#af5b10" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [saff]" size 100 color "#af5b10" font "fonts/endor.ttf"

            hbox:
                text "Lust: [slust]" size 100 color "#af5b10" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [spoint]/61             Replays:" size 55 color "#af5b10" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_sevents_%s.PNG"
            action ShowMenu("eventscreensumi")
            hover_sound "audio/sounds/menuaccent.mp3"
        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_sreplay_%s.WEBP"
            action ShowMenu("replayscreensumi")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenmidori():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_midori1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Midori Murai." size 175 color "#1ad6cf" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [maff]" size 100 color "#1ad6cf" font "fonts/endor.ttf"

            hbox:
                text "Lust: [mlust]" size 100 color "#1ad6cf" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [mpoint]/54             Replays:" size 55 color "#1ad6cf" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_mevents_%s.PNG"
            action ShowMenu("eventscreenmidori")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "mreplaycem37_%s.WEBP"
            action ShowMenu("replayscreenmidori")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenhana():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_hana1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Hana Hirano." size 175 color "#ddf228" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [haaff]" size 100 color "#ddf228" font "fonts/endor.ttf"

            hbox:
                text "Lust: [halust]" size 100 color "#ddf228" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [hapoint]/55              Replays:" size 55 color "#ddf228" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_haevents_%s.PNG"
            action ShowMenu("eventscreenhana")
            hover_sound "audio/sounds/menuaccent.mp3"
        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "hareplayceha42_%s.WEBP"
            action ShowMenu("replayscreenhana")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreentakane():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_takane1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Takane Teramoto." size 175 color "#c1371f" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [taff]" size 100 color "#c1371f" font "fonts/endor.ttf"

            hbox:
                text "Lust: [tlust]" size 100 color "#c1371f" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [tpoint]/63             Replays:" size 55 color "#c1371f" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_tevents_%s.PNG"
            action ShowMenu("eventscreentakane")
            hover_sound "audio/sounds/menuaccent.mp3"
        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_treplay_%s.WEBP"
            action ShowMenu("replayscreentakane")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreenasuka():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_asuka1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "Asuka Ashikaga." size 175 color "#f8b316" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [asuaff]" size 100 color "#f8b316" font "fonts/endor.ttf"

            hbox:
                text "Lust: [asulust]" size 100 color "#f8b316" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [asupoint]/58              Replays:" size 55 color "#f8b316" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_asuevents_%s.PNG"
            action ShowMenu("eventscreenasuka")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_asureplay_%s.WEBP"
            action ShowMenu("replayscreenasuka")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreencat():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_cat1.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "[cname]." size 175 color "#b82edd" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [caff]" size 100 color "#b82edd" font "fonts/endor.ttf"

            hbox:
                text "Lust: [clust]" size 100 color "#b82edd" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [cpoint]/62             Replays:" size 55 color "#b82edd" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_c2events_%s.PNG"
            action ShowMenu("eventscreencat")
            hover_sound "audio/sounds/menuaccent.mp3"

        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_creplay_%s.WEBP"
            action ShowMenu("replayscreencat")
            hover_sound "audio/sounds/menuaccent.mp3"

screen charascreencat2():

    tag menu

    use game_menu(_(""), scroll="None"):
        add "menu_image_cat2.jpeg":
            xpos -0.3
            ypos -0.2
        hbox:
            ypos -0.25
            text "[cname]." size 175 color "#b82edd" font "fonts/endor.ttf"


        vbox:
            ypos 0.2

            hbox:
                text "Affection: [caff]" size 100 color "#b82edd" font "fonts/endor.ttf"

            hbox:
                text "Lust: [clust]" size 100 color "#b82edd" font "fonts/endor.ttf"

        hbox:
            ypos 0.68
            text "Events:  [cpoint]/62             Replays:" size 55 color "#b82edd" font "fonts/endor.ttf"

        imagebutton:
            xpos 0.0
            ypos 0.8
            auto "menu_cevents_%s.PNG"
            action ShowMenu("eventscreencat")
            hover_sound "audio/sounds/menuaccent.mp3"
        imagebutton:
            xpos 0.35
            ypos 0.8
            auto "menu_creplay_%s.WEBP"
            action ShowMenu("replayscreencat")
            hover_sound "audio/sounds/menuaccent.mp3"

screen daytracker():
    frame:
        vbox:
            spacing 10
            text "[todays]" size 40 font "fonts/endor.ttf" color "#82139D"
            text "Day: [day]" size 40 font "fonts/endor.ttf" color "#82139D"

screen mainevents():

    tag menu

    use game_menu(_("Main Events"), scroll="viewport"):
        hbox:
            style_prefix "navigation"

            xalign 2.0
            yalign 0.0
            textbutton _("Next page ->") action ShowMenu("mainevents2")
        vbox:
            textbutton "{font=fonts/endor.ttf}Do you know who you are?{/font}" action Replay ("mainevent1", locked = me1locked)
            textbutton "{font=fonts/endor.ttf}This is too many revelations for a Sunday morning!{/font}" action Replay ("mainevent2", locked = me2locked)
            textbutton "{font=fonts/endor.ttf}Sumi Shimada.{/font}" action Replay ("mainevent3", locked = me3locked)
            textbutton "{font=fonts/endor.ttf}How do I feel?{/font}" action Replay ("mainevent4", locked = me4locked)
            textbutton "{font=fonts/endor.ttf}What a day...{/font}" action Replay ("mainevent5", locked = me5locked)
            textbutton "{font=fonts/endor.ttf}Bribes of bacon.{/font}" action Replay ("mainevent6", locked = me6locked)
            textbutton "{font=fonts/endor.ttf}Dusuka Academy.{/font}" action Replay ("mainevent7", locked = me7locked)
            textbutton "{font=fonts/endor.ttf}Good morning class.{/font}" action Replay ("mainevent8", locked = me8locked)
            textbutton "{font=fonts/endor.ttf}Rooftops and Research.{/font}" action Replay ("mainevent9", locked = me9locked)
            textbutton "{font=fonts/endor.ttf}Clubs and Concern.{/font}" action Replay ("mainevent10", locked = me10locked)
            textbutton "{font=fonts/endor.ttf}Impulse buy.{/font}" action Replay ("mainevent11", locked = me11locked)
            textbutton "{font=fonts/endor.ttf}So many new faces.{/font}" action Replay ("mainevent12", locked = me12locked)
            textbutton "{font=fonts/endor.ttf}Magic learning 101.{/font}" action Replay ("mainevent13", locked = me13locked)
            textbutton "{font=fonts/endor.ttf}Swimsuits!{/font}" action Replay ("mainevent14", locked = me14locked)
            textbutton "{font=fonts/endor.ttf}Let's get physical.{/font}" action Replay ("mainevent15", locked = me15locked)
            textbutton "{font=fonts/endor.ttf}Master of fire.{/font}" action Replay ("mainevent16", locked = me16locked)
            textbutton "{font=fonts/endor.ttf}Nya!{/font}" action Replay ("mainevent17", locked = me17locked)
            textbutton "{font=fonts/endor.ttf}Keep looking up.{/font}" action Replay ("me18", locked = me18locked)
            textbutton "{font=fonts/endor.ttf}Chicken dinner.{/font}" action Replay ("me19", locked = me19locked)
            textbutton "{font=fonts/endor.ttf}[cname]'s new adventure.{/font}" action Replay ("me20", locked = me20locked)
            textbutton "{font=fonts/endor.ttf}New friends.{/font}" action Replay ("me21", locked = me21locked)
            textbutton "{font=fonts/endor.ttf}Warnings and worries.{/font}" action Replay ("me22", locked = me22locked)
            textbutton "{font=fonts/endor.ttf}Last-minute dropout.{/font}" action Replay ("me23", locked = me23locked)
            textbutton "{font=fonts/endor.ttf}The Tsundoko spa.{/font}" action Replay ("me24", locked = me24locked)
            textbutton "{font=fonts/endor.ttf}Day plans.{/font}" action Replay ("me25", locked = me25locked)
            textbutton "{font=fonts/endor.ttf}Poolside.{/font}" action Replay ("me26", locked = me26locked)
            textbutton "{font=fonts/endor.ttf}Lunch and games.{/font}" action Replay ("me27", locked = me27locked)
            textbutton "{font=fonts/endor.ttf}A strange discovery.{/font}" action Replay ("me28", locked = me28locked)
            textbutton "{font=fonts/endor.ttf}King of hide and seek.{/font}" action Replay ("me29", locked = me29locked)
            textbutton "{font=fonts/endor.ttf}Truth or dare.{/font}" action Replay ("me30", locked = me30locked)
            textbutton "{font=fonts/endor.ttf}A late-night toilet trip.{/font}" action Replay ("me31", locked = me31locked)
            textbutton "{font=fonts/endor.ttf}Still friends?{/font}" action Replay ("me32", locked = me32locked)
            textbutton "{font=fonts/endor.ttf}Summer fun.{/font}" action Replay ("me33", locked = me33locked)
            textbutton "{font=fonts/endor.ttf}Picnic on the beach.{/font}" action Replay ("me34", locked = me34locked)
            textbutton "{font=fonts/endor.ttf}Let's do this again.{/font}" action Replay ("me35", locked = me35locked)
            textbutton "{font=fonts/endor.ttf}Three smiling faces.{/font}" action Replay ("me36", locked = me36locked)
            textbutton "{font=fonts/endor.ttf}Poorly hidden intentions.{/font}" action Replay ("me37", locked = me37locked)
            textbutton "{font=fonts/endor.ttf}Let's get this party started.{/font}" action Replay ("me38", locked = me38locked)
            textbutton "{font=fonts/endor.ttf}An eclectic mix.{/font}" action Replay ("me39", locked = me39locked)
            textbutton "{font=fonts/endor.ttf}cookies and sweets.{/font}" action Replay ("me40", locked = me40locked)
            textbutton "{font=fonts/endor.ttf}The stragglers.{/font}" action Replay ("me41", locked = me41locked)
            textbutton "{font=fonts/endor.ttf}Opinions that matter.{/font}" action Replay ("me42", locked = me42locked)
            textbutton "{font=fonts/endor.ttf}Vampires and werewolves and zombies, oh my.{/font}" action Replay ("me43", locked = me43locked)
            textbutton "{font=fonts/endor.ttf}To know someone.{/font}" action Replay ("me44", locked = me44locked)
            textbutton "{font=fonts/endor.ttf}The weight of expectation.{/font}" action Replay ("me45", locked = me45locked)
            textbutton "{font=fonts/endor.ttf}The final two players.{/font}" action Replay ("me46", locked = me46locked)
            textbutton "{font=fonts/endor.ttf}We begin in a tavern.{/font}" action Replay ("me47", locked = me47locked)
            textbutton "{font=fonts/endor.ttf}Forgetful Santa.{/font}" action Replay ("me48", locked = me48locked)
            textbutton "{font=fonts/endor.ttf}A meaningful gift.{/font}" action Replay ("me49", locked = me49locked)
            textbutton "{font=fonts/endor.ttf}Secret Santa's.{/font}" action Replay ("me50", locked = me50locked)
            textbutton "{font=fonts/endor.ttf}A time for family.{/font}" action Replay ("me51", locked = me51locked)
            textbutton "{font=fonts/endor.ttf}Cozy.{/font}" action Replay ("me52", locked = me52locked)
            textbutton "{font=fonts/endor.ttf}The guardian of the door.{/font}" action Replay ("me53", locked = me53locked)
            textbutton "{font=fonts/endor.ttf}Fairytales.{/font}" action Replay ("me54", locked = me54locked)
            textbutton "{font=fonts/endor.ttf}Snowduel.{/font}" action Replay ("me55", locked = me55locked)
            textbutton "{font=fonts/endor.ttf}As a family.{/font}" action Replay ("me56", locked = me56locked)
            textbutton "{font=fonts/endor.ttf}A peaceful place.{/font}" action Replay ("me57", locked = me57locked)
            textbutton "{font=fonts/endor.ttf}My purpose.{/font}" action Replay ("me58", locked = me58locked)
            textbutton "{font=fonts/endor.ttf}Our great escape.{/font}" action Replay ("me59", locked = me59locked)
            textbutton "{font=fonts/endor.ttf}Hana's weapon.{/font}" action Replay ("me60", locked = me60locked)
            textbutton "{font=fonts/endor.ttf}Things that make me who I am.{/font}" action Replay ("me61", locked = me61locked)
            textbutton "{font=fonts/endor.ttf}A real catgirl?{/font}" action Replay ("me62", locked = me62locked)
            textbutton "{font=fonts/endor.ttf}Those he leaves behind.{/font}" action Replay ("me63", locked = me63locked)
            textbutton "{font=fonts/endor.ttf}Worthy.{/font}" action Replay ("me64", locked = me64locked)
            textbutton "{font=fonts/endor.ttf}Making sense of fairytales.{/font}" action Replay ("me65", locked = me65locked)
            textbutton "{font=fonts/endor.ttf}Group project.{/font}" action Replay ("me66", locked = me66locked)
            textbutton "{font=fonts/endor.ttf}The imperium proposal.{/font}" action Replay ("me67", locked = me67locked)
            textbutton "{font=fonts/endor.ttf}Hana's plan.{/font}" action Replay ("me68", locked = me68locked)
            textbutton "{font=fonts/endor.ttf}Step one.{/font}" action Replay ("me69", locked = me69locked)
            textbutton "{font=fonts/endor.ttf}Infiltration.{/font}" action Replay ("me70", locked = me70locked)
            textbutton "{font=fonts/endor.ttf}Escape.{/font}" action Replay ("me71", locked = me71locked)
            textbutton "{font=fonts/endor.ttf}The Ancient.{/font}" action Replay ("me72", locked = me72locked)
            textbutton "{font=fonts/endor.ttf}Breathing freely.{/font}" action Replay ("me73", locked = me73locked)
            textbutton "{font=fonts/endor.ttf}Where things change.{/font}" action Replay ("me74", locked = me74locked)
            textbutton "{font=fonts/endor.ttf}Debriefing.{/font}" action Replay ("me75", locked = me75locked)
        hbox:
            style_prefix "navigation"

            xalign 2.0
            yalign 1.0
            textbutton _("Next page ->") action ShowMenu("mainevents2")

screen mainevents2():

    tag menu

    use game_menu(_("Main Events"), scroll="viewport"):
        hbox:
            style_prefix "navigation"

            xalign 0.0
            yalign 0.0
            textbutton _("<- Previous page.") action ShowMenu("mainevents")
        vbox:
            textbutton "{font=fonts/endor.ttf}A formal start.{/font}" action Replay ("me76", locked = me76locked)
            textbutton "{font=fonts/endor.ttf}Swimming by moonlight.{/font}" action Replay ("me77", locked = me77locked)
            textbutton "{font=fonts/endor.ttf}Searching for support.{/font}" action Replay ("me78", locked = me78locked)
            textbutton "{font=fonts/endor.ttf}On the sand.{/font}" action Replay ("me79", locked = me79locked)
            textbutton "{font=fonts/endor.ttf}A day of fun.{/font}" action Replay ("me80", locked = me80locked)
            textbutton "{font=fonts/endor.ttf}The games begin.{/font}" action Replay ("me81", locked = me81locked)
            textbutton "{font=fonts/endor.ttf}A frantic melee.{/font}" action Replay ("me82", locked = me82locked)
            textbutton "{font=fonts/endor.ttf}The need for change.{/font}" action Replay ("me83", locked = me83locked)
            textbutton "{font=fonts/endor.ttf}Time to relax.{/font}" action Replay ("me84", locked = me84locked)
            textbutton "{font=fonts/endor.ttf}See you tomorrow.{/font}" action Replay ("me85", locked = me85locked)
            textbutton "{font=fonts/endor.ttf}First this time.{/font}" action Replay ("me86", locked = me86locked)
            textbutton "{font=fonts/endor.ttf}Stoking jealousy.{/font}" action Replay ("me87", locked = me87locked)
            textbutton "{font=fonts/endor.ttf}Why a clown?{/font}" action Replay ("me88", locked = me88locked)
            textbutton "{font=fonts/endor.ttf}Just getting started.{/font}" action Replay ("me89", locked = me89locked)
            textbutton "{font=fonts/endor.ttf}Nuisances.{/font}" action Replay ("me90", locked = me90locked)
            textbutton "{font=fonts/endor.ttf}An offer accepted.{/font}" action Replay ("me91", locked = me91locked)
            textbutton "{font=fonts/endor.ttf}Better than uncertainty.{/font}" action Replay ("me92", locked = me92locked)
            textbutton "{font=fonts/endor.ttf}Pleasing everyone.{/font}" action Replay ("me93", locked = me93locked)
            textbutton "{font=fonts/endor.ttf}A murder mystery.{/font}" action Replay ("me94", locked = me94locked)
            textbutton "{font=fonts/endor.ttf}Fun for everyone.{/font}" action Replay ("me95", locked = me95locked)
            textbutton "{font=fonts/endor.ttf}Christmas elves.{/font}" action Replay ("me96", locked = me96locked)
            textbutton "{font=fonts/endor.ttf}The spirit.{/font}" action Replay ("me97", locked = me97locked)
            textbutton "{font=fonts/endor.ttf}Time with family.{/font}" action Replay ("me98", locked = me98locked)
            textbutton "{font=fonts/endor.ttf}Christmas goodbyes.{/font}" action Replay ("me99", locked = me99locked)
            textbutton "{font=fonts/endor.ttf}Playing in the snow.{/font}" action Replay ("me100", locked = me100locked)
            textbutton "{font=fonts/endor.ttf}The true gift.{/font}" action Replay ("me101", locked = me101locked)
            textbutton "{font=fonts/endor.ttf}A deserved win.{/font}" action Replay ("me102", locked = me102locked)
            textbutton "{font=fonts/endor.ttf}My harem.{/font}" action Replay ("me103", locked = me103locked)
            textbutton "{font=fonts/endor.ttf}Gossiping.{/font}" action Replay ("me104", locked = me104locked)
            textbutton "{font=fonts/endor.ttf}A brighter future.{/font}" action Replay ("me105", locked = me105locked)
            textbutton "{font=fonts/endor.ttf}Beach time.{/font}" action Replay ("me106", locked = me106locked)
            textbutton "{font=fonts/endor.ttf}Out of her shell.{/font}" action Replay ("me107", locked = me107locked)
            textbutton "{font=fonts/endor.ttf}In the sea.{/font}" action Replay ("me108", locked = me108locked)
            textbutton "{font=fonts/endor.ttf}A shocking reminder.{/font}" action Replay ("me109", locked = me109locked)
            textbutton "{font=fonts/endor.ttf}To feel safe again.{/font}" action Replay ("me110", locked = me110locked)
            textbutton "{font=fonts/endor.ttf}Hard to say, harder to see.{/font}" action Replay ("me111", locked = me111locked)
            textbutton "{font=fonts/endor.ttf}It's nothing.{/font}" action Replay ("me112", locked = me112locked)
            textbutton "{font=fonts/endor.ttf}No more hiding.{/font}" action Replay ("me113", locked = me113locked)
            textbutton "{font=fonts/endor.ttf}Volleyball and trouble.{/font}" action Replay ("me114", locked = me114locked)
            textbutton "{font=fonts/endor.ttf}Back we go.{/font}" action Replay ("me115", locked = me115locked)
            textbutton "{font=fonts/endor.ttf}Summoning the door.{/font}" action Replay ("me116", locked = me116locked)
            textbutton "{font=fonts/endor.ttf}Sasha's talent.{/font}" action Replay ("me117", locked = me117locked)
            textbutton "{font=fonts/endor.ttf}So many questions.{/font}" action Replay ("me118", locked = me118locked)
            textbutton "{font=fonts/endor.ttf}Refocus.{/font}" action Replay ("me119", locked = me119locked)
            textbutton "{font=fonts/endor.ttf}Wake up!{/font}" action Replay ("me120", locked = me120locked)
            textbutton "{font=fonts/endor.ttf}An excuse to dress up.{/font}" action Replay ("me121", locked = me121locked)
            textbutton "{font=fonts/endor.ttf}Twin succubi.{/font}" action Replay ("me122", locked = me122locked)
            textbutton "{font=fonts/endor.ttf}Desserving of truth.{/font}" action Replay ("me123", locked = me123locked)
            textbutton "{font=fonts/endor.ttf}Inevitable tears.{/font}" action Replay ("me124", locked = me124locked)
            textbutton "{font=fonts/endor.ttf}Lashing out.{/font}" action Replay ("me125", locked = me125locked)
            textbutton "{font=fonts/endor.ttf}Mingling mosters.{/font}" action Replay ("me126", locked = me126locked)
            textbutton "{font=fonts/endor.ttf}Not giving up.{/font}" action Replay ("me127", locked = me127locked)
            textbutton "{font=fonts/endor.ttf}Lucky dip.{/font}" action Replay ("me128", locked = me128locked)
            textbutton "{font=fonts/endor.ttf}Cleaning up.{/font}" action Replay ("me129", locked = me129locked)
            textbutton "{font=fonts/endor.ttf}Unfortunate Interference.{/font}" action Replay ("me130", locked = me130locked)
            textbutton "{font=fonts/endor.ttf}The two attendants.{/font}" action Replay ("me131", locked = me131locked)
            textbutton "{font=fonts/endor.ttf}The rearguard.{/font}" action Replay ("me132", locked = me132locked)
            textbutton "{font=fonts/endor.ttf}The battle begins.{/font}" action Replay ("me133", locked = me133locked)
            textbutton "{font=fonts/endor.ttf}A bloody smile.{/font}" action Replay ("me134", locked = me134locked)
            textbutton "{font=fonts/endor.ttf}A way to go.{/font}" action Replay ("me135", locked = me135locked)
            textbutton "{font=fonts/endor.ttf}Shuffled away.{/font}" action Replay ("me136", locked = me136locked)
            textbutton "{font=fonts/endor.ttf}Glad you're okay.{/font}" action Replay ("me137", locked = me137locked)
            textbutton "{font=fonts/endor.ttf}Our bonds.{/font}" action Replay ("me138", locked = me138locked)
            textbutton "{font=fonts/endor.ttf}Our little family.{/font}" action Replay ("me139", locked = me139locked)

        hbox:
            style_prefix "navigation"

            xalign 0.0
            yalign 0.0
            textbutton _("<- Previous page.") action ShowMenu("mainevents")

screen eventscreenazumi():

    tag menu

    use game_menu(_("Azumi Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Family bonding.{/font}" action Replay ("ceaz1", locked = ceaz1locked)
            textbutton "{font=fonts/endor.ttf}A morning run.{/font}" action Replay ("ceaz2", locked = ceaz2locked)
            textbutton "{font=fonts/endor.ttf}Tank tops and yoga pants.{/font}" action Replay ("ceaz3", locked = ceaz3locked)
            textbutton "{font=fonts/endor.ttf}I can cook.{/font}" action Replay ("ceaz4", locked = ceaz4locked)
            textbutton "{font=fonts/endor.ttf}Family dynamics.{/font}" action Replay ("ceaz5", locked = ceaz5locked)
            textbutton "{font=fonts/endor.ttf}Wake-up call.{/font}" action Replay ("ceaz6", locked = ceaz6locked)
            textbutton "{font=fonts/endor.ttf}Morning report.{/font}" action Replay ("ceaz7", locked = ceaz7locked)
            textbutton "{font=fonts/endor.ttf}Dinner shift.{/font}" action Replay ("ceaz8", locked = ceaz8locked)
            textbutton "{font=fonts/endor.ttf}The charity run 1.{/font}" action Replay ("ceaz9", locked = ceaz9locked)
            textbutton "{font=fonts/endor.ttf}Decisions.{/font}" action Replay ("ceaz10", locked = ceaz10locked)
            textbutton "{font=fonts/endor.ttf}A growing family.{/font}" action Replay ("ceaz11", locked = ceaz11locked)
            textbutton "{font=fonts/endor.ttf}Clothes and costumes.{/font}" action Replay ("ceaz12", locked = ceaz12locked)
            textbutton "{font=fonts/endor.ttf}A relaxing massage.{/font}" action Replay ("ceaz13", locked = ceaz13locked)
            if ceaz14_miss == True:
                text "{font=fonts/endor.ttf}{s}Darkness falls.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}In candlelight.{/font}" action Replay ("ceaz14", locked = ceaz14locked)
            textbutton "{font=fonts/endor.ttf}The best parent.{/font}" action Replay ("ceaz15", locked = ceaz15locked)
            if ceaz16_miss == True:
                text "{font=fonts/endor.ttf}{s}The weight.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Lifted.{/font}" action Replay ("ceaz16", locked = ceaz16locked)
            textbutton "{font=fonts/endor.ttf}When it's missing.{/font}" action Replay ("ceaz17", locked = ceaz17locked)
            textbutton "{font=fonts/endor.ttf}A proper introduction.{/font}" action Replay ("ceaz18", locked = ceaz18locked)
            textbutton "{font=fonts/endor.ttf}Matters of the heart.{/font}" action Replay ("ceaz19", locked = ceaz19locked)
            if leaz1_miss == True:
                text "{font=fonts/endor.ttf}{s}Status quo.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}So much more.{/font}" action Replay ("leaz1", locked = leaz1locked)
            textbutton "{font=fonts/endor.ttf}Everyone important.{/font}" action Replay ("ceaz20", locked = ceaz20locked)
            if ceaz21_miss == True:
                text "{font=fonts/endor.ttf}{s}Distant desires.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Approaching the line.{/font}" action Replay ("ceaz21", locked = ceaz21locked)
            textbutton "{font=fonts/endor.ttf}Training clothes.{/font}" action Replay ("ceaz22", locked = ceaz22locked)
            textbutton "{font=fonts/endor.ttf}Good people.{/font}" action Replay ("ceaz23", locked = ceaz23locked)
            textbutton "{font=fonts/endor.ttf}Words coated in gold.{/font}" action Replay ("ceaz24", locked = ceaz24locked)
            textbutton "{font=fonts/endor.ttf}A rest evening.{/font}" action Replay ("ceaz25", locked = ceaz25locked)
            textbutton "{font=fonts/endor.ttf}Everything that's gone right.{/font}" action Replay ("ceaz26", locked = ceaz26locked)
            textbutton "{font=fonts/endor.ttf}Risk and reward.{/font}" action Replay ("ceaz27", locked = ceaz27locked)
            textbutton "{font=fonts/endor.ttf}A tense reunion.{/font}" action Replay ("ceaz28", locked = ceaz28locked)
            textbutton "{font=fonts/endor.ttf}Getting to know you.{/font}" action Replay ("ceaz29", locked = ceaz29locked)
            if leaz2_miss == True:
                text "{font=fonts/endor.ttf}{s}Fear of clowns.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Exposure therapy.{/font}" action Replay ("leaz2", locked = leaz2locked)
            textbutton "{font=fonts/endor.ttf}The perfect pair.{/font}" action Replay ("ceaz30", locked = ceaz30locked)
            textbutton "{font=fonts/endor.ttf}Strange reactions.{/font}" action Replay ("ceaz31", locked = ceaz31locked)
            textbutton "{font=fonts/endor.ttf}The other half.{/font}" action Replay ("ceaz32", locked = ceaz32locked)
            if ceaz33_miss == True:
                text "{font=fonts/endor.ttf}{s}An exhausting day.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Tonal shift.{/font}" action Replay ("ceaz33", locked = ceaz33locked)
            textbutton "{font=fonts/endor.ttf}The best decision.{/font}" action Replay ("ceaz34", locked = ceaz34locked)
            textbutton "{font=fonts/endor.ttf}Comfortable.{/font}" action Replay ("ceaz35", locked = ceaz35locked)
            if ceaz36_miss == True:
                text "{font=fonts/endor.ttf}{s}Goodnight.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Caught.{/font}" action Replay ("ceaz36", locked = ceaz36locked)
            if ceaz37_miss == True:
                text "{font=fonts/endor.ttf}{s}Sweet prince.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Being happy.{/font}" action Replay ("ceaz37", locked = ceaz37locked)
            textbutton "{font=fonts/endor.ttf}Something for herself.{/font}" action Replay ("ceaz38r", locked = ceaz38locked)
            textbutton "{font=fonts/endor.ttf}A comfortable fit.{/font}" action Replay ("ceaz39", locked = ceaz39locked)
            textbutton "{font=fonts/endor.ttf}So close.{/font}" action Replay ("ceaz40", locked = ceaz40locked)
            if ceaz41_miss == True:
                text "{font=fonts/endor.ttf}{s}Silence.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}No need to be quiet.{/font}" action Replay ("ceaz41", locked = ceaz41locked)
            textbutton "{font=fonts/endor.ttf}A lazy day.{/font}" action Replay ("ceaz42", locked = ceaz42locked)
            textbutton "{font=fonts/endor.ttf}Ice cream.{/font}" action Replay ("ceaz43", locked = ceaz43locked)
            textbutton "{font=fonts/endor.ttf}Regressing to friends.{/font}" action Replay ("ceaz44", locked = ceaz44locked)
            if ceaz45_miss == True:
                text "{font=fonts/endor.ttf}{s}Losing the path.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Thinking about the future.{/font}" action Replay ("ceaz45", locked = ceaz45locked)
            textbutton "{font=fonts/endor.ttf}Feeling inadequate.{/font}" action Replay ("ceaz46", locked = ceaz46locked)
            textbutton "{font=fonts/endor.ttf}An emotional dinner.{/font}" action Replay ("ceaz47", locked = ceaz47locked)
            textbutton "{font=fonts/endor.ttf}Support through training.{/font}" action Replay ("ceaz48", locked = ceaz48locked)
            textbutton "{font=fonts/endor.ttf}Breakfast in bed.{/font}" action Replay ("ceaz49", locked = ceaz49locked)
            if leaz3_miss == True:
                text "{font=fonts/endor.ttf}{s}Needed sleep.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Christmas morning.{/font}" action Replay ("leaz3", locked = leaz3locked)
            textbutton "{font=fonts/endor.ttf}The storm descends.{/font}" action Replay ("ceaz50", locked = ceaz50locked)
            textbutton "{font=fonts/endor.ttf}Not an accident.{/font}" action Replay ("ceaz51", locked = ceaz51locked)
            textbutton "{font=fonts/endor.ttf}We're not broken.{/font}" action Replay ("ceaz52", locked = ceaz52locked)
            textbutton "{font=fonts/endor.ttf}We should talk.{/font}" action Replay ("ceaz53", locked = ceaz53locked)
            textbutton "{font=fonts/endor.ttf}Finding the juice.{/font}" action Replay ("ceaz54", locked = ceaz54locked)
            textbutton "{font=fonts/endor.ttf}Setting boundaries.{/font}" action Replay ("ceaz55", locked = ceaz55locked)
            textbutton "{font=fonts/endor.ttf}Always guiding us.{/font}" action Replay ("ceaz56", locked = ceaz56locked)
            if ceaz57_miss == True:
                text "{font=fonts/endor.ttf}{s}You have to earn it.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}A reward for all of us.{/font}" action Replay ("ceaz57", locked = ceaz57locked)

screen eventscreenina():

    tag menu

    use game_menu(_("Ina Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Files on everyone.{/font}" action Replay ("cei1", locked = cei1locked)
            textbutton "{font=fonts/endor.ttf}Ina Ikeda PI.{/font}" action Replay ("cei2", locked = cei2locked)
            textbutton "{font=fonts/endor.ttf}A suspicious visitor.{/font}" action Replay ("cei3", locked = cei3locked)
            textbutton "{font=fonts/endor.ttf}Signs of jealousy.{/font}" action Replay ("cei4", locked = cei4locked)
            textbutton "{font=fonts/endor.ttf}Undercover.{/font}" action Replay ("cei5", locked = cei5locked)
            textbutton "{font=fonts/endor.ttf}Case closed.{/font}" action Replay ("cei6", locked = cei6locked)
            textbutton "{font=fonts/endor.ttf}The case of the restaurant prostitutes.{/font}" action Replay ("cei7", locked = cei7locked)
            textbutton "{font=fonts/endor.ttf}Pet names.{/font}" action Replay ("cei8", locked = cei8locked)
            textbutton "{font=fonts/endor.ttf}The fake date.{/font}" action Replay ("cei9", locked = cei9locked)
            textbutton "{font=fonts/endor.ttf}Revelations.{/font}" action Replay ("cei10", locked = cei10locked)
            textbutton "{font=fonts/endor.ttf}A new approach.{/font}" action Replay ("cei11", locked = cei11locked)
            textbutton "{font=fonts/endor.ttf}Professionalism.{/font}" action Replay ("cei12", locked = cei12locked)
            textbutton "{font=fonts/endor.ttf}Karaoke.{/font}" action Replay ("cei13", locked = cei13locked)
            textbutton "{font=fonts/endor.ttf}Beneath the steam.{/font}" action Replay ("cei14", locked = cei14locked)
            textbutton "{font=fonts/endor.ttf}Little secrets.{/font}" action Replay ("cei15", locked = cei15locked)
            textbutton "{font=fonts/endor.ttf}Dancer needed.{/font}" action Replay ("cei16", locked = cei16locked)
            textbutton "{font=fonts/endor.ttf}Recruiting Takane.{/font}" action Replay ("cei17", locked = cei17locked)
            textbutton "{font=fonts/endor.ttf}Boyfriend or stalker.{/font}" action Replay ("cei18", locked = cei18locked)
            textbutton "{font=fonts/endor.ttf}Doing the right thing.{/font}" action Replay ("cei19", locked = cei19locked)
            textbutton "{font=fonts/endor.ttf}Ground rules.{/font}" action Replay ("cei20", locked = cei20locked)
            textbutton "{font=fonts/endor.ttf}The case files.{/font}" action Replay ("cei21", locked = cei21locked)
            textbutton "{font=fonts/endor.ttf}Letting loose.{/font}" action Replay ("cei22", locked = cei22locked)
            textbutton "{font=fonts/endor.ttf}A way in.{/font}" action Replay ("cei23", locked = cei23locked)
            textbutton "{font=fonts/endor.ttf}Our new job.{/font}" action Replay ("cei24", locked = cei24locked)
            textbutton "{font=fonts/endor.ttf}Trapped.{/font}" action Replay ("cei25", locked = cei25locked)
            textbutton "{font=fonts/endor.ttf}Holding back.{/font}" action Replay ("cei26", locked = cei26locked)
            textbutton "{font=fonts/endor.ttf}Mr. Hirano.{/font}" action Replay ("cei27", locked = cei27locked)
            textbutton "{font=fonts/endor.ttf}The voyeur.{/font}" action Replay ("cei28", locked = cei28locked)
            textbutton "{font=fonts/endor.ttf}Accusations and anger.{/font}" action Replay ("cei29", locked = cei29locked)
            if cei30_miss == True:
                text "{font=fonts/endor.ttf}{s}Empty stands.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Audience of one.{/font}" action Replay ("cei30", locked = cei30locked)
            textbutton "{font=fonts/endor.ttf}Not another victim.{/font}" action Replay ("cei31", locked = cei31locked)
            textbutton "{font=fonts/endor.ttf}Plans in motion.{/font}" action Replay ("cei32", locked = cei32locked)
            textbutton "{font=fonts/endor.ttf}Waiting for an opportunity.{/font}" action Replay ("cei33", locked = cei33locked)
            textbutton "{font=fonts/endor.ttf}Half asleep.{/font}" action Replay ("cei34", locked = cei34locked)
            textbutton "{font=fonts/endor.ttf}Indecent pictures.{/font}" action Replay ("cei35", locked = cei35locked)
            textbutton "{font=fonts/endor.ttf}Go time.{/font}" action Replay ("cei36", locked = cei36locked)
            textbutton "{font=fonts/endor.ttf}Again?{/font}" action Replay ("cei37", locked = cei37locked)
            textbutton "{font=fonts/endor.ttf}What's going on here?{/font}" action Replay ("cei38", locked = cei38locked)
            textbutton "{font=fonts/endor.ttf}Back on the streets.{/font}" action Replay ("cei39", locked = cei39locked)
            textbutton "{font=fonts/endor.ttf}A good guy.{/font}" action Replay ("cei40", locked = cei40locked)
            textbutton "{font=fonts/endor.ttf}How do you know?{/font}" action Replay ("cei41", locked = cei41locked)
            textbutton "{font=fonts/endor.ttf}Just a friend.{/font}" action Replay ("cei42", locked = cei42locked)
            textbutton "{font=fonts/endor.ttf}Her shortest case.{/font}" action Replay ("cei43", locked = cei43locked)
            textbutton "{font=fonts/endor.ttf}A rose tattoo.{/font}" action Replay ("cei44", locked = cei44locked)
            textbutton "{font=fonts/endor.ttf}No trust.{/font}" action Replay ("cei45", locked = cei45locked)
            textbutton "{font=fonts/endor.ttf}Those who prey on the desperate.{/font}" action Replay ("cei46", locked = cei46locked)
            textbutton "{font=fonts/endor.ttf}Cases and creeps.{/font}" action Replay ("cei47", locked = cei47locked)
            textbutton "{font=fonts/endor.ttf}That's all.{/font}" action Replay ("cei48", locked = cei48locked)
            textbutton "{font=fonts/endor.ttf}Workplace dispute.{/font}" action Replay ("cei49", locked = cei49locked)
            textbutton "{font=fonts/endor.ttf}What happened?{/font}" action Replay ("cei50", locked = cei50locked)
            textbutton "{font=fonts/endor.ttf}The fallout of my actions.{/font}" action Replay ("cei51", locked = cei51locked)
            textbutton "{font=fonts/endor.ttf}Just physical.{/font}" action Replay ("cei52", locked = cei52locked)
            textbutton "{font=fonts/endor.ttf}How did you do it?{/font}" action Replay ("cei53", locked = cei53locked)
            textbutton "{font=fonts/endor.ttf}Accepting how things are.{/font}" action Replay ("cei54", locked = cei54locked)
            textbutton "{font=fonts/endor.ttf}Take a breath.{/font}" action Replay ("cei55", locked = cei55locked)
            textbutton "{font=fonts/endor.ttf}Nari, the menace.{/font}" action Replay ("cei56", locked = cei56locked)
            textbutton "{font=fonts/endor.ttf}Still hesitating.{/font}" action Replay ("cei57", locked = cei57locked)
            textbutton "{font=fonts/endor.ttf}Coming to a boil.{/font}" action Replay ("cei58", locked = cei58locked)

screen eventscreenhisaaki():

    tag menu

    use game_menu(_("Hisaaki Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Apartments on the moon.{/font}" action Replay ("cehi1", locked = cehi1locked)
            textbutton "{font=fonts/endor.ttf}Combat training.{/font}" action Replay ("cehi2", locked = cehi2locked)
            textbutton "{font=fonts/endor.ttf}Shot put.{/font}" action Replay ("cehi3", locked = cehi3locked)
            textbutton "{font=fonts/endor.ttf}Combat training 2.{/font}" action Replay ("cehi4", locked = cehi4locked)
            textbutton "{font=fonts/endor.ttf}Can't give up.{/font}" action Replay ("cehi5", locked = cehi5locked)
            textbutton "{font=fonts/endor.ttf}Family, power, and respect.{/font}" action Replay ("cehi6", locked = cehi6locked)
            textbutton "{font=fonts/endor.ttf}Friendly advice.{/font}" action Replay ("cehi7", locked = cehi7locked)
            textbutton "{font=fonts/endor.ttf}Hisaaki's one.{/font}" action Replay ("cehi8", locked = cehi8locked)
            textbutton "{font=fonts/endor.ttf}Casa del Hisaaki.{/font}" action Replay ("cehi9", locked = cehi9locked)
            textbutton "{font=fonts/endor.ttf}Investigation club.{/font}" action Replay ("cehi10", locked = cehi10locked)
            textbutton "{font=fonts/endor.ttf}An empty hole.{/font}" action Replay ("cehi11", locked = cehi11locked)
            textbutton "{font=fonts/endor.ttf}Fallen.{/font}" action Replay ("cehi12", locked = cehi12locked)
            textbutton "{font=fonts/endor.ttf}Little impacts.{/font}" action Replay ("cehi13", locked = cehi13locked)
            textbutton "{font=fonts/endor.ttf}A desperate plea.{/font}" action Replay ("cehi14", locked = cehi14locked)
            textbutton "{font=fonts/endor.ttf}Whatever it takes.{/font}" action Replay ("cehi15", locked = cehi15locked)
            textbutton "{font=fonts/endor.ttf}On hard times.{/font}" action Replay ("cehi16", locked = cehi16locked)
            textbutton "{font=fonts/endor.ttf}An empty grave.{/font}" action Replay ("cehi17", locked = cehi17locked)
            textbutton "{font=fonts/endor.ttf}The threat of death.{/font}" action Replay ("cehi18", locked = cehi18locked)
            textbutton "{font=fonts/endor.ttf}Stalemate.{/font}" action Replay ("cehi19", locked = cehi19locked)
            textbutton "{font=fonts/endor.ttf}Good news.{/font}" action Replay ("cehi20", locked = cehi20locked)
            textbutton "{font=fonts/endor.ttf}Flee!{/font}" action Replay ("cehi21", locked = cehi21locked)
            textbutton "{font=fonts/endor.ttf}Explanations.{/font}" action Replay ("cehi22", locked = cehi22locked)
            textbutton "{font=fonts/endor.ttf}desperate for progress.{/font}" action Replay ("cehi23", locked = cehi23locked)
            textbutton "{font=fonts/endor.ttf}Happy for you.{/font}" action Replay ("cehi24", locked = cehi24locked)
            textbutton "{font=fonts/endor.ttf}To feel useful.{/font}" action Replay ("cehi25", locked = cehi25locked)
            if cehi26_miss == True:
                text "{font=fonts/endor.ttf}{s}Hidden power.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Show your skills.{/font}" action Replay ("cehi26", locked = cehi26locked)
            textbutton "{font=fonts/endor.ttf}She wanted me.{/font}" action Replay ("cehi27", locked = cehi27locked)
            textbutton "{font=fonts/endor.ttf}Hisaaki's challenge.{/font}" action Replay ("cehi28", locked = cehi28locked)
            textbutton "{font=fonts/endor.ttf}Into the ring.{/font}" action Replay ("cehi29", locked = cehi29locked)
            textbutton "{font=fonts/endor.ttf}A better plan.{/font}" action Replay ("cehi30", locked = cehi30locked)
            textbutton "{font=fonts/endor.ttf}Lost without her.{/font}" action Replay ("cehi31", locked = cehi31locked)
            textbutton "{font=fonts/endor.ttf}Stubborn.{/font}" action Replay ("cehi32", locked = cehi32locked)
            textbutton "{font=fonts/endor.ttf}Trading on a name.{/font}" action Replay ("cehi33", locked = cehi33locked)
            textbutton "{font=fonts/endor.ttf}Growth.{/font}" action Replay ("cehi34", locked = cehi34locked)
            textbutton "{font=fonts/endor.ttf}Christmas weight.{/font}" action Replay ("cehi35", locked = cehi35locked)
            textbutton "{font=fonts/endor.ttf}A breakthrough.{/font}" action Replay ("cehi36", locked = cehi36locked)
            textbutton "{font=fonts/endor.ttf}So close and yet so far.{/font}" action Replay ("cehi37", locked = cehi37locked)
            textbutton "{font=fonts/endor.ttf}Separate paths.{/font}" action Replay ("cehi38", locked = cehi38locked)
            textbutton "{font=fonts/endor.ttf}Join our team.{/font}" action Replay ("cehi39", locked = cehi39locked)
            textbutton "{font=fonts/endor.ttf}Unprepared.{/font}" action Replay ("cehi40", locked = cehi40locked)
            textbutton "{font=fonts/endor.ttf}An understanding.{/font}" action Replay ("cehi41", locked = cehi41locked)
            textbutton "{font=fonts/endor.ttf}Her choice.{/font}" action Replay ("cehi42", locked = cehi42locked)
            textbutton "{font=fonts/endor.ttf}Hitting a wall.{/font}" action Replay ("cehi43", locked = cehi43locked)
            textbutton "{font=fonts/endor.ttf}Bringing him in.{/font}" action Replay ("cehi44", locked = cehi44locked)
            textbutton "{font=fonts/endor.ttf}Revealing my part.{/font}" action Replay ("cehi45r", locked = cehi45locked)
            textbutton "{font=fonts/endor.ttf}A lot has changed.{/font}" action Replay ("cehi46", locked = cehi46locked)
            textbutton "{font=fonts/endor.ttf}In need of repair.{/font}" action Replay ("cehi47", locked = cehi47locked)
            textbutton "{font=fonts/endor.ttf}Being okay.{/font}" action Replay ("cehi48", locked = cehi48locked)
            textbutton "{font=fonts/endor.ttf}Getting to know each other.{/font}" action Replay ("cehi49", locked = cehi49locked)
            textbutton "{font=fonts/endor.ttf}Keeping her occupied.{/font}" action Replay ("cehi50", locked = cehi50locked)
            textbutton "{font=fonts/endor.ttf}Gaya...{/font}" action Replay ("cehi51", locked = cehi51locked)
            textbutton "{font=fonts/endor.ttf}A tornado of danger.{/font}" action Replay ("cehi52", locked = cehi52locked)
            textbutton "{font=fonts/endor.ttf}A lead.{/font}" action Replay ("cehi53", locked = cehi53locked)
            textbutton "{font=fonts/endor.ttf}Opportunity.{/font}" action Replay ("cehi54", locked = cehi54locked)
            textbutton "{font=fonts/endor.ttf}In fine form.{/font}" action Replay ("cehi55", locked = cehi55locked)
            textbutton "{font=fonts/endor.ttf}A recurring problem.{/font}" action Replay ("cehi56", locked = cehi56locked)
            textbutton "{font=fonts/endor.ttf}A teacher's help.{/font}" action Replay ("cehi57", locked = cehi57locked)
            textbutton "{font=fonts/endor.ttf}Nice to meet you.{/font}" action Replay ("cehi58", locked = cehi58locked)

screen eventscreenkimiko():

    tag menu

    use game_menu(_("Kimiko Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Race time.{/font}" action Replay ("cek1", locked = cek1locked)
            textbutton "{font=fonts/endor.ttf}Every day is training day.{/font}" action Replay ("cek2", locked = cek2locked)
            textbutton "{font=fonts/endor.ttf}Drive to succeed.{/font}" action Replay ("cek3", locked = cek3locked)
            textbutton "{font=fonts/endor.ttf}Proper stretching.{/font}" action Replay ("cek4", locked = cek4locked)
            textbutton "{font=fonts/endor.ttf}Bad memories.{/font}" action Replay ("cek5", locked = cek5locked)
            textbutton "{font=fonts/endor.ttf}Smell the flowers.{/font}" action Replay ("cek6", locked = cek6locked)
            textbutton "{font=fonts/endor.ttf}Rematch.{/font}" action Replay ("cek7", locked = cek7locked)
            textbutton "{font=fonts/endor.ttf}Taiho Jutsu.{/font}" action Replay ("cek8", locked = cek8locked)
            textbutton "{font=fonts/endor.ttf}Unbreakable defence.{/font}" action Replay ("cek9", locked = cek9locked)
            textbutton "{font=fonts/endor.ttf}The charity run 2.{/font}" action Replay ("cek10", locked = cek10locked)
            textbutton "{font=fonts/endor.ttf}Goading.{/font}" action Replay ("cek11", locked = cek11locked)
            textbutton "{font=fonts/endor.ttf}Training hard.{/font}" action Replay ("cek12", locked = cek12locked)
            textbutton "{font=fonts/endor.ttf}A slice of heaven.{/font}" action Replay ("cek13", locked = cek13locked)
            textbutton "{font=fonts/endor.ttf}Personal connections.{/font}" action Replay ("cek14", locked = cek14locked)
            textbutton "{font=fonts/endor.ttf}Missing the hints.{/font}" action Replay ("cek15", locked = cek15locked)
            textbutton "{font=fonts/endor.ttf}Hanging out.{/font}" action Replay ("cek16", locked = cek16locked)
            textbutton "{font=fonts/endor.ttf}A cocktail of emotion.{/font}" action Replay ("cek17", locked = cek17locked)
            textbutton "{font=fonts/endor.ttf}Leaving the comfort zone.{/font}" action Replay ("cek18", locked = cek18locked)
            textbutton "{font=fonts/endor.ttf}Upping the ante.{/font}" action Replay ("cek19", locked = cek19locked)
            textbutton "{font=fonts/endor.ttf}Easing her mind.{/font}" action Replay ("cek20", locked = cek20locked)
            textbutton "{font=fonts/endor.ttf}Moral support.{/font}" action Replay ("cek21", locked = cek21locked)
            textbutton "{font=fonts/endor.ttf}Firm hands.{/font}" action Replay ("cek22", locked = cek22locked)
            textbutton "{font=fonts/endor.ttf}In the zone.{/font}" action Replay ("cek23", locked = cek23locked)
            textbutton "{font=fonts/endor.ttf}Flexibility.{/font}" action Replay ("cek24", locked = cek24locked)
            textbutton "{font=fonts/endor.ttf}The waterpark.{/font}" action Replay ("cek25", locked = cek25locked)
            textbutton "{font=fonts/endor.ttf}A new interest.{/font}" action Replay ("cek26", locked = cek26locked)
            if lek1_miss == True:
                text "{font=fonts/endor.ttf}{s}All for me.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Giving something back.{/font}" action Replay ("lek1", locked = lek1locked)
            textbutton "{font=fonts/endor.ttf}A rising star.{/font}" action Replay ("cek27", locked = cek27locked)
            textbutton "{font=fonts/endor.ttf}Only us.{/font}" action Replay ("cek28", locked = cek28locked)
            textbutton "{font=fonts/endor.ttf}An athletic position.{/font}" action Replay ("cek29", locked = cek29locked)
            textbutton "{font=fonts/endor.ttf}Proud.{/font}" action Replay ("cek30", locked = cek30locked)
            textbutton "{font=fonts/endor.ttf}Something to achieve.{/font}" action Replay ("cek31", locked = cek31locked)
            textbutton "{font=fonts/endor.ttf}Slacking.{/font}" action Replay ("cek32", locked = cek32locked)
            textbutton "{font=fonts/endor.ttf}Our third date.{/font}" action Replay ("cek33", locked = cek33locked)
            textbutton "{font=fonts/endor.ttf}A new workout.{/font}" action Replay ("cek34", locked = cek34locked)
            textbutton "{font=fonts/endor.ttf}A little cold.{/font}" action Replay ("cek35", locked = cek35locked)
            textbutton "{font=fonts/endor.ttf}She needs rest.{/font}" action Replay ("cek36", locked = cek36locked)
            textbutton "{font=fonts/endor.ttf}Strong girls.{/font}" action Replay ("cek37", locked = cek37locked)
            textbutton "{font=fonts/endor.ttf}Feeling better.{/font}" action Replay ("cek38", locked = cek38locked)
            textbutton "{font=fonts/endor.ttf}Emergency.{/font}" action Replay ("cek39", locked = cek39locked)
            textbutton "{font=fonts/endor.ttf}In the way.{/font}" action Replay ("cek40", locked = cek40locked)
            textbutton "{font=fonts/endor.ttf}A great man.{/font}" action Replay ("cek41", locked = cek41locked)
            textbutton "{font=fonts/endor.ttf}Common ground.{/font}" action Replay ("cek42", locked = cek42locked)
            textbutton "{font=fonts/endor.ttf}A good pair.{/font}" action Replay ("cek43", locked = cek43locked)
            textbutton "{font=fonts/endor.ttf}An interesting challenge.{/font}" action Replay ("cek44", locked = cek44locked)
            textbutton "{font=fonts/endor.ttf}Our special place.{/font}" action Replay ("cek45", locked = cek45locked)
            textbutton "{font=fonts/endor.ttf}Her racing heart.{/font}" action Replay ("cek46", locked = cek46locked)
            textbutton "{font=fonts/endor.ttf}Another dinner.{/font}" action Replay ("cek47", locked = cek47locked)
            textbutton "{font=fonts/endor.ttf}Such passion.{/font}" action Replay ("cek48", locked = cek48locked)
            textbutton "{font=fonts/endor.ttf}Unnecessary lies.{/font}" action Replay ("cek49", locked = cek49locked)
            textbutton "{font=fonts/endor.ttf}Don't get caught.{/font}" action Replay ("cek50r", locked = cek50locked)
            if lek2_miss == True:
                text "{font=fonts/endor.ttf}{s}Breathable.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Tight latex.{/font}" action Replay ("lek2", locked = lek2locked)
            textbutton "{font=fonts/endor.ttf}Not what I expected.{/font}" action Replay ("cek51", locked = cek51locked)
            textbutton "{font=fonts/endor.ttf}Competition.{/font}" action Replay ("cek52", locked = cek52locked)
            textbutton "{font=fonts/endor.ttf}Making strategies.{/font}" action Replay ("cek53", locked = cek53locked)
            textbutton "{font=fonts/endor.ttf}The best?{/font}" action Replay ("cek54", locked = cek54locked)
            textbutton "{font=fonts/endor.ttf}Goals to reach for.{/font}" action Replay ("cek55", locked = cek55locked)
            textbutton "{font=fonts/endor.ttf}Catching up.{/font}" action Replay ("cek56", locked = cek56locked)
            textbutton "{font=fonts/endor.ttf}Extreme core workout.{/font}" action Replay ("cek57", locked = cek57locked)
            if cek58_miss == True:
                text "{font=fonts/endor.ttf}{s}When we're alone.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Too tempting.{/font}" action Replay ("cek58", locked = cek58locked)

screen eventscreenakira():

    tag menu

    use game_menu(_("Akira Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Anger issues.{/font}" action Replay ("ceak1", locked = ceak1locked)
            textbutton "{font=fonts/endor.ttf}Delightful melancholy.{/font}" action Replay ("ceak2", locked = ceak2locked)
            textbutton "{font=fonts/endor.ttf}Trust.{/font}" action Replay ("ceak3", locked = ceak3locked)
            textbutton "{font=fonts/endor.ttf}Whatever he requires.{/font}" action Replay ("ceak4", locked = ceak4locked)
            textbutton "{font=fonts/endor.ttf}Inherent good.{/font}" action Replay ("ceak5", locked = ceak5locked)
            textbutton "{font=fonts/endor.ttf}Tremors.{/font}" action Replay ("ceak6", locked = ceak6locked)
            textbutton "{font=fonts/endor.ttf}The softest part.{/font}" action Replay ("ceak7", locked = ceak7locked)
            textbutton "{font=fonts/endor.ttf}Raging beasts.{/font}" action Replay ("ceak8", locked = ceak8locked)
            textbutton "{font=fonts/endor.ttf}Life rafts.{/font}" action Replay ("ceak9", locked = ceak9locked)
            textbutton "{font=fonts/endor.ttf}A new era.{/font}" action Replay ("ceak10", locked = ceak10locked)
            textbutton "{font=fonts/endor.ttf}Parental approval.{/font}" action Replay ("ceak11", locked = ceak11locked)
            textbutton "{font=fonts/endor.ttf}Listen to me!{/font}" action Replay ("ceak12", locked = ceak12locked)
            textbutton "{font=fonts/endor.ttf}Building bridges.{/font}" action Replay ("ceak13", locked = ceak13locked)
            textbutton "{font=fonts/endor.ttf}A new light.{/font}" action Replay ("ceak14", locked = ceak14locked)
            textbutton "{font=fonts/endor.ttf}The mask of formality.{/font}" action Replay ("ceak15", locked = ceak15locked)
            textbutton "{font=fonts/endor.ttf}The hospitality of the Ashikaga family.{/font}" action Replay ("ceak16", locked = ceak16locked)
            textbutton "{font=fonts/endor.ttf}A new personal trainer.{/font}" action Replay ("ceak17", locked = ceak17locked)
            textbutton "{font=fonts/endor.ttf}Akira's first session.{/font}" action Replay ("ceak18", locked = ceak18locked)
            textbutton "{font=fonts/endor.ttf}Traitor.{/font}" action Replay ("ceak19", locked = ceak19locked)
            textbutton "{font=fonts/endor.ttf}A secret shared.{/font}" action Replay ("ceak20", locked = ceak20locked)
            textbutton "{font=fonts/endor.ttf}Nervous.{/font}" action Replay ("ceak21", locked = ceak21locked)
            textbutton "{font=fonts/endor.ttf}An appreciative audience.{/font}" action Replay ("ceak22", locked = ceak22locked)
            textbutton "{font=fonts/endor.ttf}Our future.{/font}" action Replay ("ceak23", locked = ceak23locked)
            textbutton "{font=fonts/endor.ttf}Their past.{/font}" action Replay ("ceak24", locked = ceak24locked)
            textbutton "{font=fonts/endor.ttf}A mother's secrets.{/font}" action Replay ("ceak25", locked = ceak25locked)
            textbutton "{font=fonts/endor.ttf}Searching for weakness.{/font}" action Replay ("ceak26", locked = ceak26locked)
            textbutton "{font=fonts/endor.ttf}Romance advice.{/font}" action Replay ("ceak27", locked = ceak27locked)
            textbutton "{font=fonts/endor.ttf}Return to training.{/font}" action Replay ("ceak28", locked = ceak28locked)
            textbutton "{font=fonts/endor.ttf}With their support.{/font}" action Replay ("ceak29", locked = ceak29locked)
            textbutton "{font=fonts/endor.ttf}Forming a theory.{/font}" action Replay ("ceak30", locked = ceak30locked)
            textbutton "{font=fonts/endor.ttf}Watching over him.{/font}" action Replay ("ceak31", locked = ceak31locked)
            textbutton "{font=fonts/endor.ttf}A good boss.{/font}" action Replay ("ceak32", locked = ceak32locked)
            textbutton "{font=fonts/endor.ttf}A reward of comfort.{/font}" action Replay ("ceak33", locked = ceak33locked)
            textbutton "{font=fonts/endor.ttf}Worrying too much.{/font}" action Replay ("ceak34", locked = ceak34locked)
            textbutton "{font=fonts/endor.ttf}Acting strangely.{/font}" action Replay ("ceak35", locked = ceak35locked)
            textbutton "{font=fonts/endor.ttf}A little push.{/font}" action Replay ("ceak36", locked = ceak36locked)
            textbutton "{font=fonts/endor.ttf}A new duet.{/font}" action Replay ("ceak37", locked = ceak37locked)
            textbutton "{font=fonts/endor.ttf}Chasing a legend.{/font}" action Replay ("ceak38", locked = ceak38locked)
            textbutton "{font=fonts/endor.ttf}Double date?{/font}" action Replay ("ceak39", locked = ceak39locked)
            textbutton "{font=fonts/endor.ttf}New outfits.{/font}" action Replay ("ceak40", locked = ceak40locked)
            textbutton "{font=fonts/endor.ttf}An awkward interruption.{/font}" action Replay ("ceak41", locked = ceak41locked)
            textbutton "{font=fonts/endor.ttf}A useful blunder.{/font}" action Replay ("ceak42", locked = ceak42locked)
            textbutton "{font=fonts/endor.ttf}Having a crisis.{/font}" action Replay ("ceak43", locked = ceak43locked)
            textbutton "{font=fonts/endor.ttf}Defending a friend.{/font}" action Replay ("ceak44", locked = ceak44locked)

screen eventscreennari():

    tag menu

    use game_menu(_("Nari Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Palpable tension.{/font}" action Replay ("cen1", locked = cen1locked)
            textbutton "{font=fonts/endor.ttf}Hello, Jasper.{/font}" action Replay ("cen2", locked = cen2locked)
            textbutton "{font=fonts/endor.ttf}They have sleepovers?{/font}" action Replay ("cen3", locked = cen3locked)
            textbutton "{font=fonts/endor.ttf}Get a new pet today!{/font}" action Replay ("cen4", locked = cen4locked)
            textbutton "{font=fonts/endor.ttf}Animal escape.{/font}" action Replay ("cen5", locked = cen5locked)
            textbutton "{font=fonts/endor.ttf}Dreaming of friends and lovers.{/font}" action Replay ("cen6", locked = cen6locked)
            textbutton "{font=fonts/endor.ttf}Cuttlefish.{/font}" action Replay ("cen7", locked = cen7locked)
            textbutton "{font=fonts/endor.ttf}The tour.{/font}" action Replay ("cen8", locked = cen8locked)
            textbutton "{font=fonts/endor.ttf}Fundraising.{/font}" action Replay ("cen9", locked = cen9locked)
            textbutton "{font=fonts/endor.ttf}Bathed in amber light.{/font}" action Replay ("cen10", locked = cen10locked)
            textbutton "{font=fonts/endor.ttf}Protective.{/font}" action Replay ("cen11", locked = cen11locked)
            textbutton "{font=fonts/endor.ttf}A very special parrot.{/font}" action Replay ("cen12", locked = cen12locked)
            textbutton "{font=fonts/endor.ttf}Reasons to want to be liked.{/font}" action Replay ("cen13", locked = cen13locked)
            textbutton "{font=fonts/endor.ttf}Not nervous now.{/font}" action Replay ("cen14", locked = cen14locked)
            if len1_miss == True:
                text "{font=fonts/endor.ttf}{s}Don't you see me?{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}The widow's kiss.{/font}" action Replay ("len1", locked = len1locked)
            textbutton "{font=fonts/endor.ttf}Around you.{/font}" action Replay ("cen15", locked = cen15locked)
            textbutton "{font=fonts/endor.ttf}Just us.{/font}" action Replay ("cen16", locked = cen16locked)
            textbutton "{font=fonts/endor.ttf}Make me yours.{/font}" action Replay ("cen17", locked = cen17locked)
            textbutton "{font=fonts/endor.ttf}Holiday stories.{/font}" action Replay ("cen18", locked = cen18locked)
            textbutton "{font=fonts/endor.ttf}An amazing opportunity.{/font}" action Replay ("cen19", locked = cen19locked)
            textbutton "{font=fonts/endor.ttf}Love at first sight.{/font}" action Replay ("cen20", locked = cen20locked)
            textbutton "{font=fonts/endor.ttf}The sweetest lust.{/font}" action Replay ("cen21", locked = cen21locked)
            textbutton "{font=fonts/endor.ttf}Caught in the crossfire.{/font}" action Replay ("cen22", locked = cen22locked)
            textbutton "{font=fonts/endor.ttf}Jumpy.{/font}" action Replay ("cen23", locked = cen23locked)
            textbutton "{font=fonts/endor.ttf}To the stores!{/font}" action Replay ("cen24", locked = cen24locked)
            textbutton "{font=fonts/endor.ttf}The changing room dilemma.{/font}" action Replay ("cen25", locked = cen25locked)
            if len2_miss == True:
                text "{font=fonts/endor.ttf}{s}Reassurances.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Physical affirmation.{/font}" action Replay ("len2", locked = len2locked)
            textbutton "{font=fonts/endor.ttf}More time.{/font}" action Replay ("cen26", locked = cen26locked)
            textbutton "{font=fonts/endor.ttf}She doesn't stop.{/font}" action Replay ("cen27", locked = cen27locked)
            textbutton "{font=fonts/endor.ttf}concerned friends.{/font}" action Replay ("cen28", locked = cen28locked)
            textbutton "{font=fonts/endor.ttf}Awkward admissions.{/font}" action Replay ("cen29", locked = cen29locked)
            textbutton "{font=fonts/endor.ttf}Getting back.{/font}" action Replay ("cen30", locked = cen30locked)
            textbutton "{font=fonts/endor.ttf}Trying to say.{/font}" action Replay ("cen31", locked = cen31locked)
            textbutton "{font=fonts/endor.ttf}Heroes of the future.{/font}" action Replay ("cen32", locked = cen32locked)
            textbutton "{font=fonts/endor.ttf}Hungry for affection.{/font}" action Replay ("cen33", locked = cen33locked)
            if len3_miss == True:
                text "{font=fonts/endor.ttf}{s}Just too busy.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Secret perversions.{/font}" action Replay ("len3", locked = len3locked)
            textbutton "{font=fonts/endor.ttf}A broken bell.{/font}" action Replay ("cen34", locked = cen34locked)
            textbutton "{font=fonts/endor.ttf}No more avoidance.{/font}" action Replay ("cen35", locked = cen35locked)
            textbutton "{font=fonts/endor.ttf}Out in the open.{/font}" action Replay ("cen36", locked = cen36locked)
            textbutton "{font=fonts/endor.ttf}Too good a friend.{/font}" action Replay ("cen37", locked = cen37locked)
            textbutton "{font=fonts/endor.ttf}Lucky.{/font}" action Replay ("cen38", locked = cen38locked)
            textbutton "{font=fonts/endor.ttf}Behave.{/font}" action Replay ("cen39", locked = cen39locked)
            textbutton "{font=fonts/endor.ttf}Never have I ever.{/font}" action Replay ("cen40r", locked = cen40locked)
            textbutton "{font=fonts/endor.ttf}Preview.{/font}" action Replay ("cen41", locked = cen41locked)
            textbutton "{font=fonts/endor.ttf}Open and honest.{/font}" action Replay ("cen42", locked = cen42locked)
            textbutton "{font=fonts/endor.ttf}Left out.{/font}" action Replay ("cen43", locked = cen43locked)
            textbutton "{font=fonts/endor.ttf}Confidence in bikinis.{/font}" action Replay ("cen44", locked = cen44locked)
            textbutton "{font=fonts/endor.ttf}Positive change.{/font}" action Replay ("cen45", locked = cen45locked)
            textbutton "{font=fonts/endor.ttf}What about the others?{/font}" action Replay ("cen46", locked = cen46locked)
            textbutton "{font=fonts/endor.ttf}Just a massage?{/font}" action Replay ("cen47", locked = cen47locked)
            textbutton "{font=fonts/endor.ttf}A lunch surprise.{/font}" action Replay ("cen48", locked = cen48locked)
            textbutton "{font=fonts/endor.ttf}More than eager.{/font}" action Replay ("cen49", locked = cen49locked)
            textbutton "{font=fonts/endor.ttf}Be better.{/font}" action Replay ("cen50", locked = cen50locked)
            textbutton "{font=fonts/endor.ttf}Thinking about you.{/font}" action Replay ("cen51", locked = cen51locked)
            textbutton "{font=fonts/endor.ttf}We're not enemies.{/font}" action Replay ("cen52", locked = cen52locked)
            textbutton "{font=fonts/endor.ttf}In this together.{/font}" action Replay ("cen53", locked = cen53locked)
            textbutton "{font=fonts/endor.ttf}A strange start.{/font}" action Replay ("cen54", locked = cen54locked)
            textbutton "{font=fonts/endor.ttf}Prank calls.{/font}" action Replay ("cen55", locked = cen55locked)
            textbutton "{font=fonts/endor.ttf}Posing.{/font}" action Replay ("cen56", locked = cen56locked)
            textbutton "{font=fonts/endor.ttf}Welcome to the club.{/font}" action Replay ("cen57", locked = cen57locked)

screen eventscreensumi():

    tag menu

    use game_menu(_("Sumi Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Long lost friends.{/font}" action Replay ("ces1", locked = ces1locked)
            textbutton "{font=fonts/endor.ttf}Favourite teacher.{/font}" action Replay ("ces2", locked = ces2locked)
            textbutton "{font=fonts/endor.ttf}Looking out for us.{/font}" action Replay ("ces3", locked = ces3locked)
            textbutton "{font=fonts/endor.ttf}Speaking in code.{/font}" action Replay ("ces4", locked = ces4locked)
            textbutton "{font=fonts/endor.ttf}New books.{/font}" action Replay ("ces5", locked = ces5locked)
            textbutton "{font=fonts/endor.ttf}More than a teacher.{/font}" action Replay ("ces6", locked = ces6locked)
            textbutton "{font=fonts/endor.ttf}Fire proficiency.{/font}" action Replay ("ces7", locked = ces7locked)
            textbutton "{font=fonts/endor.ttf}Emergency contact.{/font}" action Replay ("ces8", locked = ces8locked)
            textbutton "{font=fonts/endor.ttf}An unwelcome meeting.{/font}" action Replay ("ces9", locked = ces9locked)
            textbutton "{font=fonts/endor.ttf}The monster I needed to be.{/font}" action Replay ("ces10", locked = ces10locked)
            textbutton "{font=fonts/endor.ttf}Life before.{/font}" action Replay ("ces11", locked = ces11locked)
            textbutton "{font=fonts/endor.ttf}Information is power.{/font}" action Replay ("ces12", locked = ces12locked)
            textbutton "{font=fonts/endor.ttf}Good person.{/font}" action Replay ("ces13", locked = ces13locked)
            textbutton "{font=fonts/endor.ttf}Not a monster.{/font}" action Replay ("ces14", locked = ces14locked)
            if les1_miss == True:
                text "{font=fonts/endor.ttf}{s}Neutralized concoctions.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}A potent brew.{/font}" action Replay ("les1", locked = les1locked)
            textbutton "{font=fonts/endor.ttf}Our upbringing.{/font}" action Replay ("ces15", locked = ces15locked)
            textbutton "{font=fonts/endor.ttf}A failed test.{/font}" action Replay ("ces16", locked = ces16locked)
            textbutton "{font=fonts/endor.ttf}Intensive training.{/font}" action Replay ("ces17", locked = ces17locked)
            textbutton "{font=fonts/endor.ttf}Wounds.{/font}" action Replay ("ces18", locked = ces18locked)
            textbutton "{font=fonts/endor.ttf}Drenched in blood.{/font}" action Replay ("ces19", locked = ces19locked)
            textbutton "{font=fonts/endor.ttf}Hard to trust.{/font}" action Replay ("ces20", locked = ces20locked)
            textbutton "{font=fonts/endor.ttf}Scars.{/font}" action Replay ("ces21", locked = ces21locked)
            textbutton "{font=fonts/endor.ttf}Exhibition match.{/font}" action Replay ("ces22", locked = ces22locked)
            if les2_miss == True:
                text "{font=fonts/endor.ttf}{s}Unused potential.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Skills.{/font}" action Replay ("les2", locked = les2locked)
            textbutton "{font=fonts/endor.ttf}The council's teacher.{/font}" action Replay ("ces23", locked = ces23locked)
            textbutton "{font=fonts/endor.ttf}Wild times.{/font}" action Replay ("ces24", locked = ces24locked)
            textbutton "{font=fonts/endor.ttf}The boy in a tank.{/font}" action Replay ("ces25", locked = ces25locked)
            textbutton "{font=fonts/endor.ttf}Been too long.{/font}" action Replay ("ces26", locked = ces26locked)
            textbutton "{font=fonts/endor.ttf}Pretty important.{/font}" action Replay ("ces27", locked = ces27locked)
            textbutton "{font=fonts/endor.ttf}A good steak.{/font}" action Replay ("ces28", locked = ces28locked)
            textbutton "{font=fonts/endor.ttf}A risky proposition.{/font}" action Replay ("ces29", locked = ces29locked)
            textbutton "{font=fonts/endor.ttf}Things to discuss.{/font}" action Replay ("ces30", locked = ces30locked)
            textbutton "{font=fonts/endor.ttf}Belief.{/font}" action Replay ("ces31", locked = ces31locked)
            textbutton "{font=fonts/endor.ttf}A teacher's assistance.{/font}" action Replay ("ces32", locked = ces32locked)
            textbutton "{font=fonts/endor.ttf}The interrogation.{/font}" action Replay ("ces33", locked = ces33locked)
            textbutton "{font=fonts/endor.ttf}Our prisoner.{/font}" action Replay ("ces34", locked = ces34locked)
            textbutton "{font=fonts/endor.ttf}Power to escape.{/font}" action Replay ("ces35", locked = ces35locked)
            textbutton "{font=fonts/endor.ttf}A step too far.{/font}" action Replay ("ces36", locked = ces36locked)
            textbutton "{font=fonts/endor.ttf}Incorrigible.{/font}" action Replay ("ces37", locked = ces37locked)
            textbutton "{font=fonts/endor.ttf}Time together.{/font}" action Replay ("ces38", locked = ces38locked)
            textbutton "{font=fonts/endor.ttf}Following.{/font}" action Replay ("ces39", locked = ces39locked)
            textbutton "{font=fonts/endor.ttf}Old dreams.{/font}" action Replay ("ces40", locked = ces40locked)
            textbutton "{font=fonts/endor.ttf}Trouble.{/font}" action Replay ("ces41", locked = ces41locked)
            textbutton "{font=fonts/endor.ttf}Their Father.{/font}" action Replay ("ces42", locked = ces42locked)
            textbutton "{font=fonts/endor.ttf}A little more freedom.{/font}" action Replay ("ces43", locked = ces43locked)
            textbutton "{font=fonts/endor.ttf}Past and present.{/font}" action Replay ("ces44", locked = ces44locked)
            textbutton "{font=fonts/endor.ttf}Guiding young minds.{/font}" action Replay ("ces45", locked = ces45locked)
            textbutton "{font=fonts/endor.ttf}Indulging her desires.{/font}" action Replay ("ces46", locked = ces46locked)
            textbutton "{font=fonts/endor.ttf}Falling behind.{/font}" action Replay ("ces47", locked = ces47locked)
            textbutton "{font=fonts/endor.ttf}Tutoring.{/font}" action Replay ("ces48", locked = ces48locked)
            textbutton "{font=fonts/endor.ttf}Distractions.{/font}" action Replay ("ces49", locked = ces49locked)
            textbutton "{font=fonts/endor.ttf}Disappointed.{/font}" action Replay ("ces50", locked = ces50locked)
            textbutton "{font=fonts/endor.ttf}Weapons.{/font}" action Replay ("ces51", locked = ces51locked)
            textbutton "{font=fonts/endor.ttf}Earned trust.{/font}" action Replay ("ces52", locked = ces52locked)
            textbutton "{font=fonts/endor.ttf}Promises. Promises.{/font}" action Replay ("ces53", locked = ces53locked)
            textbutton "{font=fonts/endor.ttf}An experienced woman.{/font}" action Replay ("ces54r", locked = ces54locked)
            if les3_miss == True:
                text "{font=fonts/endor.ttf}{s}The bite of cold.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}In her warmth.{/font}" action Replay ("les3", locked = les3locked)
            textbutton "{font=fonts/endor.ttf}Complicated feelings.{/font}" action Replay ("ces55", locked = ces55locked)
            textbutton "{font=fonts/endor.ttf}Cooped up.{/font}" action Replay ("ces56", locked = ces56locked)
            textbutton "{font=fonts/endor.ttf}A taste of life.{/font}" action Replay ("ces57", locked = ces57locked)
            textbutton "{font=fonts/endor.ttf}Grown attached.{/font}" action Replay ("ces58", locked = ces58locked)

screen eventscreenmidori():

    tag menu

    use game_menu(_("Midori Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Of course, they play dungeons and dragons.{/font}" action Replay ("cem1", locked = cem1locked)
            textbutton "{font=fonts/endor.ttf}Inspiration.{/font}" action Replay ("cem2", locked = cem2locked)
            textbutton "{font=fonts/endor.ttf}Plastic trash.{/font}" action Replay ("cem3", locked = cem3locked)
            textbutton "{font=fonts/endor.ttf}Valhiri, the lady of shadows.{/font}" action Replay ("cem4", locked = cem4locked)
            textbutton "{font=fonts/endor.ttf}Artist's block.{/font}" action Replay ("cem5", locked = cem5locked)
            textbutton "{font=fonts/endor.ttf}A noble knight.{/font}" action Replay ("cem6", locked = cem6locked)
            textbutton "{font=fonts/endor.ttf}A little weird.{/font}" action Replay ("cem7", locked = cem7locked)
            textbutton "{font=fonts/endor.ttf}Adventures in Alporia.{/font}" action Replay ("cem8", locked = cem8locked)
            textbutton "{font=fonts/endor.ttf}Personal shit.{/font}" action Replay ("cem9", locked = cem9locked)
            textbutton "{font=fonts/endor.ttf}Cabin on a hill.{/font}" action Replay ("cem10", locked = cem10locked)
            textbutton "{font=fonts/endor.ttf}Under the spotlight.{/font}" action Replay ("cem11", locked = cem11locked)
            textbutton "{font=fonts/endor.ttf}Anechoic chamber.{/font}" action Replay ("cem12", locked = cem12locked)
            textbutton "{font=fonts/endor.ttf}Escapism.{/font}" action Replay ("cem13", locked = cem13locked)
            textbutton "{font=fonts/endor.ttf}The way they see me.{/font}" action Replay ("cem14", locked = cem14locked)
            textbutton "{font=fonts/endor.ttf}A faithless leap.{/font}" action Replay ("cem15", locked = cem15locked)
            textbutton "{font=fonts/endor.ttf}Deeper issues.{/font}" action Replay ("cem16", locked = cem16locked)
            textbutton "{font=fonts/endor.ttf}Inside a maelstrom.{/font}" action Replay ("cem17", locked = cem17locked)
            textbutton "{font=fonts/endor.ttf}Wasting wishes.{/font}" action Replay ("cem18", locked = cem18locked)
            textbutton "{font=fonts/endor.ttf}A shield of friends.{/font}" action Replay ("cem19", locked = cem19locked)
            textbutton "{font=fonts/endor.ttf}Adventures in Alporia 2.{/font}" action Replay ("cem20", locked = cem20locked)
            textbutton "{font=fonts/endor.ttf}A horrible friend.{/font}" action Replay ("cem21", locked = cem21locked)
            textbutton "{font=fonts/endor.ttf}Embarrassment.{/font}" action Replay ("cem22", locked = cem22locked)
            textbutton "{font=fonts/endor.ttf}An ant in a land of giants.{/font}" action Replay ("cem23", locked = cem23locked)
            textbutton "{font=fonts/endor.ttf}Confidence building.{/font}" action Replay ("cem24", locked = cem24locked)
            textbutton "{font=fonts/endor.ttf}As she falls apart.{/font}" action Replay ("cem25", locked = cem25locked)
            textbutton "{font=fonts/endor.ttf}I'll be there.{/font}" action Replay ("cem26", locked = cem26locked)
            textbutton "{font=fonts/endor.ttf}A wall of fear.{/font}" action Replay ("cem27", locked = cem27locked)
            textbutton "{font=fonts/endor.ttf}Wanting.{/font}" action Replay ("cem28", locked = cem28locked)
            textbutton "{font=fonts/endor.ttf}Conflicted.{/font}" action Replay ("cem29", locked = cem29locked)
            textbutton "{font=fonts/endor.ttf}Creative juices.{/font}" action Replay ("cem30", locked = cem30locked)
            textbutton "{font=fonts/endor.ttf}The second manga club sleepover.{/font}" action Replay ("cem31", locked = cem31locked)
            textbutton "{font=fonts/endor.ttf}A show for the ladies.{/font}" action Replay ("cem32", locked = cem32locked)
            textbutton "{font=fonts/endor.ttf}Similar feelings.{/font}" action Replay ("cem33", locked = cem33locked)
            textbutton "{font=fonts/endor.ttf}Not fine.{/font}" action Replay ("cem34", locked = cem34locked)
            textbutton "{font=fonts/endor.ttf}No more apologies.{/font}" action Replay ("cem35", locked = cem35locked)
            textbutton "{font=fonts/endor.ttf}Some strange tastes.{/font}" action Replay ("cem36", locked = cem36locked)
            textbutton "{font=fonts/endor.ttf}Overexcited.{/font}" action Replay ("cem37", locked = cem37locked)
            textbutton "{font=fonts/endor.ttf}Starting to explore.{/font}" action Replay ("cem38", locked = cem38locked)
            textbutton "{font=fonts/endor.ttf}The darker side.{/font}" action Replay ("cem39", locked = cem39locked)
            textbutton "{font=fonts/endor.ttf}Not behaving.{/font}" action Replay ("cem40", locked = cem40locked)
            textbutton "{font=fonts/endor.ttf}A good morning.{/font}" action Replay ("cem41", locked = cem41locked)
            textbutton "{font=fonts/endor.ttf}A low-key date.{/font}" action Replay ("cem42", locked = cem42locked)
            textbutton "{font=fonts/endor.ttf}Dealing with my family.{/font}" action Replay ("cem43", locked = cem43locked)
            textbutton "{font=fonts/endor.ttf}Family dinner.{/font}" action Replay ("cem44", locked = cem44locked)
            textbutton "{font=fonts/endor.ttf}How a date's meant to end.{/font}" action Replay ("cem45", locked = cem45locked)
            if lem1_miss == True:
                text "{font=fonts/endor.ttf}{s}Solid ground.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Floating.{/font}" action Replay ("lem1", locked = lem1locked)
            textbutton "{font=fonts/endor.ttf}Valid worries.{/font}" action Replay ("cem46", locked = cem46locked)
            textbutton "{font=fonts/endor.ttf}Special to me.{/font}" action Replay ("cem47", locked = cem47locked)
            textbutton "{font=fonts/endor.ttf}An ultimatum.{/font}" action Replay ("cem48", locked = cem48locked)
            textbutton "{font=fonts/endor.ttf}This feels weird.{/font}" action Replay ("cem49", locked = cem49locked)
            textbutton "{font=fonts/endor.ttf}Used to the chaos.{/font}" action Replay ("cem50", locked = cem50locked)
            textbutton "{font=fonts/endor.ttf}A calm time.{/font}" action Replay ("cem51", locked = cem51locked)
            textbutton "{font=fonts/endor.ttf}A new friendship.{/font}" action Replay ("cem52", locked = cem52locked)
            textbutton "{font=fonts/endor.ttf}Bonding.{/font}" action Replay ("cem53", locked = cem53locked)

screen eventscreenhana():

    tag menu

    use game_menu(_("Hana Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Machiavellian principles.{/font}" action Replay ("ceha1", locked = ceha1locked)
            textbutton "{font=fonts/endor.ttf}Understanding in silence.{/font}" action Replay ("ceha2", locked = ceha2locked)
            textbutton "{font=fonts/endor.ttf}Our motivations.{/font}" action Replay ("ceha3", locked = ceha3locked)
            textbutton "{font=fonts/endor.ttf}No time for fun.{/font}" action Replay ("ceha4", locked = ceha4locked)
            textbutton "{font=fonts/endor.ttf}Bad blood.{/font}" action Replay ("ceha5", locked = ceha5locked)
            textbutton "{font=fonts/endor.ttf}Traditions.{/font}" action Replay ("ceha6", locked = ceha6locked)
            textbutton "{font=fonts/endor.ttf}Chains of blood.{/font}" action Replay ("ceha7", locked = ceha7locked)
            textbutton "{font=fonts/endor.ttf}Childish.{/font}" action Replay ("ceha8", locked = ceha8locked)
            textbutton "{font=fonts/endor.ttf}The concept of capes.{/font}" action Replay ("ceha9", locked = ceha9locked)
            textbutton "{font=fonts/endor.ttf}Black coffee.{/font}" action Replay ("ceha10", locked = ceha10locked)
            textbutton "{font=fonts/endor.ttf}Weight of the world.{/font}" action Replay ("ceha11", locked = ceha11locked)
            textbutton "{font=fonts/endor.ttf}Sea of gray.{/font}" action Replay ("ceha12", locked = ceha12locked)
            textbutton "{font=fonts/endor.ttf}Consequences.{/font}" action Replay ("ceha13", locked = ceha13locked)
            textbutton "{font=fonts/endor.ttf}Breaking and entering.{/font}" action Replay ("ceha14", locked = ceha14locked)
            textbutton "{font=fonts/endor.ttf}Do you trust me?{/font}" action Replay ("ceha15", locked = ceha15locked)
            textbutton "{font=fonts/endor.ttf}Guardian angel.{/font}" action Replay ("ceha16", locked = ceha16locked)
            textbutton "{font=fonts/endor.ttf}Questions.{/font}" action Replay ("ceha17", locked = ceha17locked)
            textbutton "{font=fonts/endor.ttf}Confidante.{/font}" action Replay ("ceha18", locked = ceha18locked)
            textbutton "{font=fonts/endor.ttf}Our history.{/font}" action Replay ("ceha19", locked = ceha19locked)
            textbutton "{font=fonts/endor.ttf}Step into the shadows.{/font}" action Replay ("ceha20", locked = ceha20locked)
            textbutton "{font=fonts/endor.ttf}The starlight shrine.{/font}" action Replay ("ceha21", locked = ceha21locked)
            textbutton "{font=fonts/endor.ttf}See what I see.{/font}" action Replay ("ceha22", locked = ceha22locked)
            textbutton "{font=fonts/endor.ttf}Two of three.{/font}" action Replay ("ceha23", locked = ceha23locked)
            textbutton "{font=fonts/endor.ttf}Mutually beneficial.{/font}" action Replay ("ceha24", locked = ceha24locked)
            textbutton "{font=fonts/endor.ttf}Two maidens.{/font}" action Replay ("ceha25", locked = ceha25locked)
            textbutton "{font=fonts/endor.ttf}Strange concoctions.{/font}" action Replay ("ceha26", locked = ceha26locked)
            textbutton "{font=fonts/endor.ttf}Panic mode.{/font}" action Replay ("ceha27", locked = ceha27locked)
            textbutton "{font=fonts/endor.ttf}A new teacher.{/font}" action Replay ("ceha28", locked = ceha28locked)
            textbutton "{font=fonts/endor.ttf}Relaxing a bit.{/font}" action Replay ("ceha29", locked = ceha29locked)
            textbutton "{font=fonts/endor.ttf}Quite the tease.{/font}" action Replay ("ceha30", locked = ceha30locked)
            textbutton "{font=fonts/endor.ttf}All planned out.{/font}" action Replay ("ceha31", locked = ceha31locked)
            textbutton "{font=fonts/endor.ttf}Inhumane.{/font}" action Replay ("ceha32", locked = ceha32locked)
            textbutton "{font=fonts/endor.ttf}Final preparations.{/font}" action Replay ("ceha33", locked = ceha33locked)
            textbutton "{font=fonts/endor.ttf}Bruised.{/font}" action Replay ("ceha34", locked = ceha34locked)
            textbutton "{font=fonts/endor.ttf}Before it's too late.{/font}" action Replay ("ceha35", locked = ceha35locked)
            textbutton "{font=fonts/endor.ttf}A spy.{/font}" action Replay ("ceha36", locked = ceha36locked)
            textbutton "{font=fonts/endor.ttf}Life or death.{/font}" action Replay ("ceha37", locked = ceha37locked)
            textbutton "{font=fonts/endor.ttf}Monsters.{/font}" action Replay ("ceha38", locked = ceha38locked)
            textbutton "{font=fonts/endor.ttf}A big problem.{/font}" action Replay ("ceha39", locked = ceha39locked)
            textbutton "{font=fonts/endor.ttf}A threat to all of us.{/font}" action Replay ("ceha40", locked = ceha40locked)
            textbutton "{font=fonts/endor.ttf}Always in the middle.{/font}" action Replay ("ceha41", locked = ceha41locked)
            textbutton "{font=fonts/endor.ttf}Dealing with stress.{/font}" action Replay ("ceha42", locked = ceha42locked)
            textbutton "{font=fonts/endor.ttf}Another investigation.{/font}" action Replay ("ceha43", locked = ceha43locked)
            textbutton "{font=fonts/endor.ttf}Surprising pain.{/font}" action Replay ("ceha44", locked = ceha44locked)
            textbutton "{font=fonts/endor.ttf}Checking my wellbeing.{/font}" action Replay ("ceha45", locked = ceha45locked)
            textbutton "{font=fonts/endor.ttf}Always there.{/font}" action Replay ("ceha46", locked = ceha46locked)
            textbutton "{font=fonts/endor.ttf}A few dead ends.{/font}" action Replay ("ceha47", locked = ceha47locked)
            textbutton "{font=fonts/endor.ttf}Her hiding place.{/font}" action Replay ("ceha48", locked = ceha48locked)
            textbutton "{font=fonts/endor.ttf}Inviting herself.{/font}" action Replay ("ceha49", locked = ceha49locked)
            textbutton "{font=fonts/endor.ttf}More than hanging out.{/font}" action Replay ("ceha50", locked = ceha50locked)
            if lehat1_miss == True:
                text "{font=fonts/endor.ttf}{s}Too provocative.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Who wore it better?{/font}" action Replay ("lehat1", locked = lehat1locked)
            textbutton "{font=fonts/endor.ttf}Looking over the files.{/font}" action Replay ("ceha51", locked = ceha51locked)
            textbutton "{font=fonts/endor.ttf}A spot of tea.{/font}" action Replay ("ceha52", locked = ceha52locked)
            textbutton "{font=fonts/endor.ttf}A stolen date.{/font}" action Replay ("ceha53", locked = ceha53locked)
            textbutton "{font=fonts/endor.ttf}So many firsts.{/font}" action Replay ("ceha54", locked = ceha54locked)

screen eventscreentakane():

    tag menu

    use game_menu(_("Takane Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Panty shot.{/font}" action Replay ("cet1", locked = cet1locked)
            textbutton "{font=fonts/endor.ttf}Not planning to sing?{/font}" action Replay ("cet2", locked = cet2locked)
            textbutton "{font=fonts/endor.ttf}Perving on album covers.{/font}" action Replay ("cet3", locked = cet3locked)
            textbutton "{font=fonts/endor.ttf}Work the stage.{/font}" action Replay ("cet4", locked = cet4locked)
            textbutton "{font=fonts/endor.ttf}Bucket list.{/font}" action Replay ("cet5", locked = cet5locked)
            textbutton "{font=fonts/endor.ttf}Alive in the moon.{/font}" action Replay ("cet6", locked = cet6locked)
            textbutton "{font=fonts/endor.ttf}A very flirty evening.{/font}" action Replay ("cet7", locked = cet7locked)
            textbutton "{font=fonts/endor.ttf}A friend's duty.{/font}" action Replay ("cet8", locked = cet8locked)
            textbutton "{font=fonts/endor.ttf}Meet the family.{/font}" action Replay ("cet9", locked = cet9locked)
            textbutton "{font=fonts/endor.ttf}Alone in my bedroom.{/font}" action Replay ("cet10", locked = cet10locked)
            if me27_done == True and let1_done == False:
                text "{font=fonts/endor.ttf}{s}Longing to touch.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}A special massage.{/font}" action Replay ("let1", locked = let1locked)
            textbutton "{font=fonts/endor.ttf}Different people.{/font}" action Replay ("cet11", locked = cet11locked)
            textbutton "{font=fonts/endor.ttf}Check-up session.{/font}" action Replay ("cet12", locked = cet12locked)
            textbutton "{font=fonts/endor.ttf}Old dances.{/font}" action Replay ("cet13", locked = cet13locked)
            textbutton "{font=fonts/endor.ttf}Blissful transcendence.{/font}" action Replay ("cet14", locked = cet14locked)
            textbutton "{font=fonts/endor.ttf}Her new passion.{/font}" action Replay ("cet15", locked = cet15locked)
            textbutton "{font=fonts/endor.ttf}Not a date.{/font}" action Replay ("cet16", locked = cet16locked)
            textbutton "{font=fonts/endor.ttf}The throes of lust.{/font}" action Replay ("cet17", locked = cet17locked)
            textbutton "{font=fonts/endor.ttf}Dangerous looks and dangerous tastes.{/font}" action Replay ("cet18", locked = cet18locked)
            if let2_miss == True:
                text "{font=fonts/endor.ttf}{s}Indifference.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Paying a debt.{/font}" action Replay ("let2", locked = let2locked)
            textbutton "{font=fonts/endor.ttf}Twins?{/font}" action Replay ("cet19", locked = cet19locked)
            textbutton "{font=fonts/endor.ttf}Into the night.{/font}" action Replay ("cet20", locked = cet20locked)
            textbutton "{font=fonts/endor.ttf}More than friends.{/font}" action Replay ("cet21", locked = cet21locked)
            textbutton "{font=fonts/endor.ttf}A carnal distraction.{/font}" action Replay ("cet22", locked = cet22locked)
            textbutton "{font=fonts/endor.ttf}Trauma.{/font}" action Replay ("cet23", locked = cet23locked)
            textbutton "{font=fonts/endor.ttf}Worth it.{/font}" action Replay ("cet24", locked = cet24locked)
            textbutton "{font=fonts/endor.ttf}Bringing them together.{/font}" action Replay ("cet25", locked = cet25locked)
            textbutton "{font=fonts/endor.ttf}A high note.{/font}" action Replay ("cet26", locked = cet26locked)
            if let3_miss == True:
                text "{font=fonts/endor.ttf}{s}Taking it easy.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}The thrill.{/font}" action Replay ("let3", locked = let3locked)
            textbutton "{font=fonts/endor.ttf}That's love.{/font}" action Replay ("cet27", locked = cet27locked)
            textbutton "{font=fonts/endor.ttf}Their escort.{/font}" action Replay ("cet28", locked = cet28locked)
            textbutton "{font=fonts/endor.ttf}Dancing the night away.{/font}" action Replay ("cet29", locked = cet29locked)
            textbutton "{font=fonts/endor.ttf}Cooling down.{/font}" action Replay ("cet30", locked = cet30locked)
            textbutton "{font=fonts/endor.ttf}Wanting to apologize.{/font}" action Replay ("cet31", locked = cet31locked)
            textbutton "{font=fonts/endor.ttf}Following in her footsteps.{/font}" action Replay ("cet32", locked = cet32locked)
            textbutton "{font=fonts/endor.ttf}That beautiful smile.{/font}" action Replay ("cet33", locked = cet33locked)
            textbutton "{font=fonts/endor.ttf}Cute little feet.{/font}" action Replay ("cet34", locked = cet34locked)
            textbutton "{font=fonts/endor.ttf}New meds.{/font}" action Replay ("cet35", locked = cet35locked)
            textbutton "{font=fonts/endor.ttf}Don't want to be alone.{/font}" action Replay ("cet36", locked = cet36locked)
            textbutton "{font=fonts/endor.ttf}Reconciliation.{/font}" action Replay ("cet37", locked = cet37locked)
            textbutton "{font=fonts/endor.ttf}Hereditary.{/font}" action Replay ("cet38", locked = cet38locked)
            textbutton "{font=fonts/endor.ttf}Nobody said life was fair.{/font}" action Replay ("cet39", locked = cet39locked)
            textbutton "{font=fonts/endor.ttf}Magical healing.{/font}" action Replay ("cet40", locked = cet40locked)
            textbutton "{font=fonts/endor.ttf}Right here. Right now.{/font}" action Replay ("cet41", locked = cet41locked)
            textbutton "{font=fonts/endor.ttf}Worth any pain.{/font}" action Replay ("cet42", locked = cet42locked)
            textbutton "{font=fonts/endor.ttf}Some kind of deviant.{/font}" action Replay ("cet43", locked = cet43locked)
            textbutton "{font=fonts/endor.ttf}A worrying suggestion.{/font}" action Replay ("cet44", locked = cet44locked)
            textbutton "{font=fonts/endor.ttf}Get through the day.{/font}" action Replay ("cet45", locked = cet45locked)
            textbutton "{font=fonts/endor.ttf}A rough day.{/font}" action Replay ("cet46", locked = cet46locked)
            if lect4_miss == True:
                text "{font=fonts/endor.ttf}{s}Time to think.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Little sluts.{/font}" action Replay ("lect4", locked = lect4locked)
            textbutton "{font=fonts/endor.ttf}Similar situations.{/font}" action Replay ("cet47", locked = cet47locked)
            if cet48_miss == True:
                text "{font=fonts/endor.ttf}{s}Only yours.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Only fair.{/font}" action Replay ("cet48r", locked = cet48locked)
            textbutton "{font=fonts/endor.ttf}Such a charmer.{/font}" action Replay ("cet49", locked = cet49locked)
            textbutton "{font=fonts/endor.ttf}Hers tonight.{/font}" action Replay ("cet50", locked = cet50locked)
            if lehat1_miss == True:
                text "{font=fonts/endor.ttf}{s}Too provocative.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Who wore it better?{/font}" action Replay ("lehat1", locked = lehat1locked)
            textbutton "{font=fonts/endor.ttf}Holiday warmth.{/font}" action Replay ("cet51", locked = cet51locked)
            textbutton "{font=fonts/endor.ttf}A lot to talk about.{/font}" action Replay ("cet52", locked = cet52locked)
            textbutton "{font=fonts/endor.ttf}Lunch with the girls.{/font}" action Replay ("cet53", locked = cet53locked)
            textbutton "{font=fonts/endor.ttf}Still hungry.{/font}" action Replay ("cet54", locked = cet54locked)
            textbutton "{font=fonts/endor.ttf}Two beautiful girls.{/font}" action Replay ("cet55", locked = cet55locked)
            textbutton "{font=fonts/endor.ttf}Doing her part.{/font}" action Replay ("cet56", locked = cet56locked)
            textbutton "{font=fonts/endor.ttf}A new proposition.{/font}" action Replay ("cet57", locked = cet57locked)
            textbutton "{font=fonts/endor.ttf}New experiences.{/font}" action Replay ("cet58", locked = cet58locked)

screen eventscreenasuka():

    tag menu

    use game_menu(_("Asuka Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Vending machine drinks.{/font}" action Replay ("ceasu1", locked = ceasu1locked)
            textbutton "{font=fonts/endor.ttf}Secret garden.{/font}" action Replay ("ceasu2", locked = ceasu2locked)
            textbutton "{font=fonts/endor.ttf}Toxic influences.{/font}" action Replay ("ceasu3", locked = ceasu3locked)
            textbutton "{font=fonts/endor.ttf}A proper young lady.{/font}" action Replay ("ceasu4", locked = ceasu4locked)
            textbutton "{font=fonts/endor.ttf}Alstroemeria.{/font}" action Replay ("ceasu5", locked = ceasu5locked)
            textbutton "{font=fonts/endor.ttf}Missing.{/font}" action Replay ("ceasu6", locked = ceasu6locked)
            textbutton "{font=fonts/endor.ttf}Sanctuary.{/font}" action Replay ("ceasu7", locked = ceasu7locked)
            textbutton "{font=fonts/endor.ttf}Undeserved praise.{/font}" action Replay ("ceasu8", locked = ceasu8locked)
            textbutton "{font=fonts/endor.ttf}A piece of Peru.{/font}" action Replay ("ceasu9", locked = ceasu9locked)
            textbutton "{font=fonts/endor.ttf}There's always a reason.{/font}" action Replay ("ceasu10", locked = ceasu10locked)
            textbutton "{font=fonts/endor.ttf}Smile.{/font}" action Replay ("ceasu11", locked = ceasu11locked)
            textbutton "{font=fonts/endor.ttf}Motherly instincts.{/font}" action Replay ("ceasu12", locked = ceasu12locked)
            textbutton "{font=fonts/endor.ttf}Halloween plans.{/font}" action Replay ("ceasu13", locked = ceasu13locked)
            textbutton "{font=fonts/endor.ttf}A Halloween virgin.{/font}" action Replay ("ceasu14", locked = ceasu14locked)
            textbutton "{font=fonts/endor.ttf}A real princess.{/font}" action Replay ("ceasu15", locked = ceasu15locked)
            textbutton "{font=fonts/endor.ttf}The pain I've caused.{/font}" action Replay ("ceasu16", locked = ceasu16locked)
            textbutton "{font=fonts/endor.ttf}Ripples.{/font}" action Replay ("ceasu17", locked = ceasu17locked)
            textbutton "{font=fonts/endor.ttf}A sanctuary shared.{/font}" action Replay ("ceasu18", locked = ceasu18locked)
            textbutton "{font=fonts/endor.ttf}Getting along.{/font}" action Replay ("ceasu19", locked = ceasu19locked)
            textbutton "{font=fonts/endor.ttf}Family business.{/font}" action Replay ("ceasu20", locked = ceasu20locked)
            textbutton "{font=fonts/endor.ttf}A swarm of girls.{/font}" action Replay ("ceasu21", locked = ceasu21locked)
            textbutton "{font=fonts/endor.ttf}Appreciation.{/font}" action Replay ("ceasu22", locked = ceasu22locked)
            textbutton "{font=fonts/endor.ttf}Securing their position.{/font}" action Replay ("ceasu23", locked = ceasu23locked)
            textbutton "{font=fonts/endor.ttf}Unofficial family reuinion.{/font}" action Replay ("ceasu24", locked = ceasu24locked)
            textbutton "{font=fonts/endor.ttf}Etiquette and annoyance.{/font}" action Replay ("ceasu25", locked = ceasu25locked)
            textbutton "{font=fonts/endor.ttf}More than a hug.{/font}" action Replay ("ceasu26", locked = ceasu26locked)
            textbutton "{font=fonts/endor.ttf}A fucking idiot.{/font}" action Replay ("ceasu27", locked = ceasu27locked)
            textbutton "{font=fonts/endor.ttf}Why she's angry.{/font}" action Replay ("ceasu28", locked = ceasu28locked)
            textbutton "{font=fonts/endor.ttf}Everything a lie.{/font}" action Replay ("ceasu29", locked = ceasu29locked)
            textbutton "{font=fonts/endor.ttf}Undignified.{/font}" action Replay ("ceasu30", locked = ceasu30locked)
            textbutton "{font=fonts/endor.ttf}Traditional courtship.{/font}" action Replay ("ceasu31", locked = ceasu31locked)
            textbutton "{font=fonts/endor.ttf}An agreement.{/font}" action Replay ("ceasu32", locked = ceasu32locked)
            textbutton "{font=fonts/endor.ttf}A quiet date.{/font}" action Replay ("ceasu33", locked = ceasu33locked)
            textbutton "{font=fonts/endor.ttf}Making memories.{/font}" action Replay ("ceasu34", locked = ceasu34locked)
            textbutton "{font=fonts/endor.ttf}The right thing.{/font}" action Replay ("ceasu35", locked = ceasu35locked)
            textbutton "{font=fonts/endor.ttf}We can change the world.{/font}" action Replay ("ceasu36", locked = ceasu36locked)
            textbutton "{font=fonts/endor.ttf}Unspoiled.{/font}" action Replay ("ceasu37", locked = ceasu37locked)
            textbutton "{font=fonts/endor.ttf}A risk worth taking.{/font}" action Replay ("ceasu38", locked = ceasu38locked)
            textbutton "{font=fonts/endor.ttf}Getting to her.{/font}" action Replay ("ceasu39", locked = ceasu39locked)
            textbutton "{font=fonts/endor.ttf}Cheering her up.{/font}" action Replay ("ceasu40", locked = ceasu40locked)
            textbutton "{font=fonts/endor.ttf}Showing off.{/font}" action Replay ("ceasu41", locked = ceasu41locked)
            textbutton "{font=fonts/endor.ttf}Worried about you.{/font}" action Replay ("ceasu42", locked = ceasu42locked)
            textbutton "{font=fonts/endor.ttf}The Tae situation.{/font}" action Replay ("ceasu43", locked = ceasu43locked)
            textbutton "{font=fonts/endor.ttf}A date idea.{/font}" action Replay ("ceasu44", locked = ceasu44locked)
            textbutton "{font=fonts/endor.ttf}Makeshift restaurant.{/font}" action Replay ("ceasu45", locked = ceasu45locked)
            textbutton "{font=fonts/endor.ttf}A flick of my tongue.{/font}" action Replay ("ceasu46", locked = ceasu46locked)
            textbutton "{font=fonts/endor.ttf}Flower show.{/font}" action Replay ("ceasu47", locked = ceasu47locked)
            textbutton "{font=fonts/endor.ttf}Riding in style.{/font}" action Replay ("ceasu48", locked = ceasu48locked)
            textbutton "{font=fonts/endor.ttf}Beautiful flowers.{/font}" action Replay ("ceasu49", locked = ceasu49locked)
            textbutton "{font=fonts/endor.ttf}The ride home.{/font}" action Replay ("ceasu50", locked = ceasu50locked)
            textbutton "{font=fonts/endor.ttf}Deep breath.{/font}" action Replay ("ceasu51", locked = ceasu51locked)
            textbutton "{font=fonts/endor.ttf}A maiden's heart.{/font}" action Replay ("ceasu52", locked = ceasu52locked)
            textbutton "{font=fonts/endor.ttf}Making time.{/font}" action Replay ("ceasu53", locked = ceasu53locked)
            textbutton "{font=fonts/endor.ttf}Old ideas.{/font}" action Replay ("ceasu54", locked = ceasu54locked)
            textbutton "{font=fonts/endor.ttf}Regrettable.{/font}" action Replay ("ceasu55", locked = ceasu55locked)
            textbutton "{font=fonts/endor.ttf}Its own reward.{/font}" action Replay ("ceasu56", locked = ceasu56locked)
            textbutton "{font=fonts/endor.ttf}Allowed to tease.{/font}" action Replay ("ceasu57", locked = ceasu57locked)
            textbutton "{font=fonts/endor.ttf}Not so uptight.{/font}" action Replay ("ceasu58", locked = ceasu58locked)

screen eventscreencat():

    tag menu

    use game_menu(_("[cname] Events"), scroll="viewport"):
        vbox:
            textbutton "{font=fonts/endor.ttf}Signs of affection.{/font}" action Replay ("cec1", locked = cec1locked)
            textbutton "{font=fonts/endor.ttf}[cname]s new clothes.{/font}" action Replay ("cec2", locked = cec2locked)
            textbutton "{font=fonts/endor.ttf}New adventures.{/font}" action Replay ("cec3", locked = cec3locked)
            textbutton "{font=fonts/endor.ttf}The life of a stray.{/font}" action Replay ("cec4", locked = cec4locked)
            textbutton "{font=fonts/endor.ttf}Do cats like anime?{/font}" action Replay ("cec5", locked = cec5locked)
            textbutton "{font=fonts/endor.ttf}A cat in water.{/font}" action Replay ("cec6", locked = cec6locked)
            textbutton "{font=fonts/endor.ttf}Look what I got.{/font}" action Replay ("cec7", locked = cec7locked)
            textbutton "{font=fonts/endor.ttf}An inevitable meeting.{/font}" action Replay ("cec8", locked = cec8locked)
            textbutton "{font=fonts/endor.ttf}Exploration.{/font}" action Replay ("cec9", locked = cec9locked)
            textbutton "{font=fonts/endor.ttf}The mall.{/font}" action Replay ("cec10", locked = cec10locked)
            textbutton "{font=fonts/endor.ttf}Cuddling.{/font}" action Replay ("cec11", locked = cec11locked)
            textbutton "{font=fonts/endor.ttf}A new power.{/font}" action Replay ("cec12", locked = cec12locked)
            textbutton "{font=fonts/endor.ttf}What a parent does.{/font}" action Replay ("cec13", locked = cec13locked)
            textbutton "{font=fonts/endor.ttf}A little satellite.{/font}" action Replay ("cec14", locked = cec14locked)
            textbutton "{font=fonts/endor.ttf}Furious whispers.{/font}" action Replay ("cec15", locked = cec15locked)
            textbutton "{font=fonts/endor.ttf}Neglect.{/font}" action Replay ("cec16", locked = cec16locked)
            textbutton "{font=fonts/endor.ttf}Unpleasant memories.{/font}" action Replay ("cec17", locked = cec17locked)
            textbutton "{font=fonts/endor.ttf}The heat of her breath.{/font}" action Replay ("cec18", locked = cec18locked)
            if lec1_miss == True:
                text "{font=fonts/endor.ttf}{s}Frostbite.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Through the cold winter air.{/font}" action Replay ("lec1", locked = lec1locked)
            textbutton "{font=fonts/endor.ttf}Lapdance lessons.{/font}" action Replay ("cec19", locked = cec19locked)
            textbutton "{font=fonts/endor.ttf}The intruder.{/font}" action Replay ("cec20", locked = cec20locked)
            textbutton "{font=fonts/endor.ttf}Chicken supreme!{/font}" action Replay ("cec21", locked = cec21locked)
            textbutton "{font=fonts/endor.ttf}Give me everything.{/font}" action Replay ("cec22", locked = cec22locked)
            textbutton "{font=fonts/endor.ttf}Ray of sunshine.{/font}" action Replay ("cec23", locked = cec23locked)
            textbutton "{font=fonts/endor.ttf}Hearing test.{/font}" action Replay ("cec24", locked = cec24locked)
            textbutton "{font=fonts/endor.ttf}Anxiety attack.{/font}" action Replay ("cec25", locked = cec25locked)
            textbutton "{font=fonts/endor.ttf}Lonely memories.{/font}" action Replay ("cec26", locked = cec26locked)
            textbutton "{font=fonts/endor.ttf}After the party.{/font}" action Replay ("cec27", locked = cec27locked)
            textbutton "{font=fonts/endor.ttf}Who she was.{/font}" action Replay ("cec28", locked = cec28locked)
            if cec29_miss == True:
                text "{font=fonts/endor.ttf}{s}Bad weird.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Good weird.{/font}" action Replay ("cec29", locked = cec29locked)
            textbutton "{font=fonts/endor.ttf}Tae.{/font}" action Replay ("cec30", locked = cec30locked)
            if lec2_miss == True:
                text "{font=fonts/endor.ttf}{s}Lost in the woods.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Hunter and prey.{/font}" action Replay ("lec2", locked = lec2locked)
            textbutton "{font=fonts/endor.ttf}Remembering.{/font}" action Replay ("cec31", locked = cec31locked)
            textbutton "{font=fonts/endor.ttf}Hit the streets.{/font}" action Replay ("cec32", locked = cec32locked)
            textbutton "{font=fonts/endor.ttf}On the hunt.{/font}" action Replay ("cec33", locked = cec33locked)
            textbutton "{font=fonts/endor.ttf}Relieved.{/font}" action Replay ("cec34", locked = cec34locked)
            if lec3_miss == True:
                text "{font=fonts/endor.ttf}{s}Winter's chill.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Sharing our love.{/font}" action Replay ("lec3", locked = lec3locked)
            textbutton "{font=fonts/endor.ttf}Password.{/font}" action Replay ("cec35", locked = cec35locked)
            textbutton "{font=fonts/endor.ttf}Date time.{/font}" action Replay ("cec36", locked = cec36locked)
            textbutton "{font=fonts/endor.ttf}Enough.{/font}" action Replay ("cec37", locked = cec37locked)
            textbutton "{font=fonts/endor.ttf}My girl.{/font}" action Replay ("cec38", locked = cec38locked)
            textbutton "{font=fonts/endor.ttf}Worth trying.{/font}" action Replay ("cec39", locked = cec39locked)
            textbutton "{font=fonts/endor.ttf}Easing her in.{/font}" action Replay ("cec40", locked = cec40locked)
            textbutton "{font=fonts/endor.ttf}A way to cheer someone up.{/font}" action Replay ("cec41", locked = cec41locked)
            if cec42_miss == True:
                text "{font=fonts/endor.ttf}{s}Naptime.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Not missing out.{/font}" action Replay ("cec42", locked = cec42locked)
            textbutton "{font=fonts/endor.ttf}Don't want to impose.{/font}" action Replay ("cec43", locked = cec43locked)
            textbutton "{font=fonts/endor.ttf}Tickling.{/font}" action Replay ("cec44", locked = cec44locked)
            textbutton "{font=fonts/endor.ttf}A crazy thought.{/font}" action Replay ("cec45", locked = cec45locked)
            textbutton "{font=fonts/endor.ttf}The event planners.{/font}" action Replay ("cec46", locked = cec46locked)
            if lect4_miss == True:
                text "{font=fonts/endor.ttf}{s}Time to think.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Little sluts.{/font}" action Replay ("lect4", locked = lect4locked)
            textbutton "{font=fonts/endor.ttf}Not your fault.{/font}" action Replay ("cec47", locked = cec47locked)
            textbutton "{font=fonts/endor.ttf}Live happily.{/font}" action Replay ("cec48", locked = cec48locked)
            textbutton "{font=fonts/endor.ttf}Training at the Academy.{/font}" action Replay ("cec49", locked = cec49locked)
            textbutton "{font=fonts/endor.ttf}Passing her test.{/font}" action Replay ("cec50", locked = cec50locked)
            textbutton "{font=fonts/endor.ttf}Reality returns.{/font}" action Replay ("cec51", locked = cec51locked)
            textbutton "{font=fonts/endor.ttf}The taste of her lips.{/font}" action Replay ("cec52", locked = cec52locked)
            textbutton "{font=fonts/endor.ttf}To make her comfortable.{/font}" action Replay ("cec53", locked = cec53locked)
            if cec54_miss == True:
                text "{font=fonts/endor.ttf}{s}Getting ready for you.{/s}{/font}"
            else:
                textbutton "{font=fonts/endor.ttf}Naughty girl.{/font}" action Replay ("cec54", locked = cec54locked)
            textbutton "{font=fonts/endor.ttf}Stuck in a tree.{/font}" action Replay ("cec55", locked = cec55locked)
            textbutton "{font=fonts/endor.ttf}A great reward.{/font}" action Replay ("cec56", locked = cec56locked)
            textbutton "{font=fonts/endor.ttf}Cooking and cuddles.{/font}" action Replay ("cec57", locked = cec57locked)
            textbutton "{font=fonts/endor.ttf}Needs some filling.{/font}" action Replay ("cec58", locked = cec58locked) 


screen replayscreenazumi():

    tag menu

    use game_menu(_("Azumi Replays"), scroll="viewport"):
        grid 3 5:
            if ceaz6s_done == True:
                imagebutton:
                    auto "azreplayceaz6_%s.WEBP"
                    action Replay ("azreplayceaz6", locked = ceaz6locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz10s_done == True:
                imagebutton:
                    auto "azreplayceaz10_%s.WEBP"
                    action Replay ("azreplayceaz10", locked = ceaz10locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz14_done == True and ceaz14_miss == False:
                imagebutton:
                    auto "azreplayceaz14_%s.WEBP"
                    action Replay ("azreplayceaz14", locked = ceaz14locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz16_done == True and ceaz16_miss == False:
                imagebutton:
                    auto "azreplayceaz16_%s.WEBP"
                    action Replay ("azreplayceaz16", locked = ceaz16locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if leaz1_done == True and leaz1_miss == False:
                imagebutton:
                    auto "azreplayleaz1_%s.WEBP"
                    action Replay ("azreplayleaz1", locked = leaz1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz21_done == True and ceaz21_miss == False:
                imagebutton:
                    auto "azreplayceaz21_%s.WEBP"
                    action Replay ("azreplayceaz21", locked = ceaz21locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz25_done == True and ceaz25_sex == True:
                imagebutton:
                    auto "azreplayceaz25_%s.WEBP"
                    action Replay ("azreplayceaz25", locked = ceaz25locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if leaz2_done == True and leaz2_miss == False:
                imagebutton:
                    auto "azreplayleaz2_%s.WEBP"
                    action Replay ("azreplayleaz2", locked = leaz2locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz33_done == True and ceaz33_miss == False:
                imagebutton:
                    auto "azreplayceaz33_%s.WEBP"
                    action Replay ("azreplayceaz33", locked = ceaz33locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz36_done == True and ceaz36_miss == False:
                imagebutton:
                    auto "azreplayceaz36_%s.WEBP"
                    action Replay ("azreplayceaz36", locked = ceaz36locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz41_done == True and ceaz41_miss == False:
                imagebutton:
                    auto "azreplayceaz41_%s.WEBP"
                    action Replay ("azreplayceaz41", locked = ceaz41locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if leaz3_done == True and leaz3_miss == False:
                imagebutton:
                    auto "azreplayleaz3_%s.WEBP"
                    action Replay ("azreplayleaz3", locked = leaz3locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceaz57_done == True and ceaz57_miss == False:
                imagebutton:
                    auto "azreplayceaz57_%s.WEBP"
                    action Replay ("azreplayceaz57", locked = ceaz57locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null
            null

screen replayscreencat():

    tag menu

    use game_menu(_("[cname] Replays"), scroll="viewport"):
        grid 3 5:
            if me31_done == True:
                imagebutton:
                    auto "creplayme31_%s.WEBP"
                    action Replay ("creplayme31", locked = me31locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec18_done == True:
                imagebutton:
                    auto "creplaycec18_%s.WEBP"
                    action Replay ("creplaycec18", locked = cec18locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lec1_done == True:
                imagebutton:
                    auto "creplaylec1_%s.WEBP"
                    action Replay ("creplaylec1", locked = lec1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec22_done == True:
                imagebutton:
                    auto "creplaycec22_%s.WEBP"
                    action Replay ("creplaycec22", locked = cec22locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec29_peek == True:
                imagebutton:
                    auto "creplaycec29_%s.WEBP"
                    action Replay ("creplaycec29", locked = cec29locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lec2_done == True:
                imagebutton:
                    auto "creplaylec2_%s.WEBP"
                    action Replay ("creplaylec2", locked = lec2locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec34_done == True:
                imagebutton:
                    auto "creplaycec34_%s.WEBP"
                    action Replay ("creplaycec34", locked = cec34locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lec3_done == True:
                imagebutton:
                    auto "creplaylec3_%s.WEBP"
                    action Replay ("creplaylec3", locked = lec3locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec38_done == True:
                imagebutton:
                    auto "creplaycec38_%s.WEBP"
                    action Replay ("creplaycec38", locked = cec38locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec42_done == True and cec42_miss == False:
                imagebutton:
                    auto "creplaycec42_%s.WEBP"
                    action Replay ("creplaycec42", locked = cec42locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if me110_done == True:
                imagebutton:
                    auto "creplayme110_%s.WEBP"
                    action Replay ("creplayme110", locked = me110locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lect4_done == True:
                imagebutton:
                    auto "creplaylect4_%s.WEBP"
                    action Replay ("creplaylect4", locked = lect4locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cec50_done == True:
                imagebutton:
                    auto "creplaycec50_%s.WEBP"
                    action Replay ("creplaycec50", locked = cec50locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null
            null


screen replayscreensumi():

    tag menu

    use game_menu(_("Sumi Replays"), scroll="viewport"):
        grid 3 4:
            if ces6_dom == True:
                imagebutton:
                    auto "sreplayces6_%s.WEBP"
                    action Replay ("sreplayces6", locked = ces6locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ces14_done == True:
                imagebutton:
                    auto "sreplayces14_%s.WEBP"
                    action Replay ("sreplayces14", locked = ces6locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if les1_done == True:
                imagebutton:
                    auto "sreplayles1_%s.WEBP"
                    action Replay ("sreplayles1", locked = les1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if les2_done == True:
                imagebutton:
                    auto "sreplayles2_%s.WEBP"
                    action Replay ("sreplayles2", locked = les2locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ces26_done == True:
                imagebutton:
                    auto "sreplayces26_%s.WEBP"
                    action Replay ("sreplayces26", locked = ces26locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ces38_done == True:
                imagebutton:
                    auto "sreplayces38_%s.WEBP"
                    action Replay ("sreplayces38", locked = ces38locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ces41_fj == True:
                imagebutton:
                    auto "sreplayces41_%s.WEBP"
                    action Replay ("sreplayces41", locked = ces41locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ces46_done == True:
                imagebutton:
                    auto "sreplayces46_%s.WEBP"
                    action Replay ("sreplayces46", locked = ces46locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ces54_done == True:
                imagebutton:
                    auto "sreplayces54_%s.WEBP"
                    action Replay ("ces54r", locked = ces54locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if les3_done == True:
                imagebutton:
                    auto "sreplayles3_%s.WEBP"
                    action Replay ("sreplayles3", locked = les3locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null
            null

screen replayscreentakane():

    tag menu

    use game_menu(_("Takane Replays"), scroll="viewport"):
        grid 3 6:
            if cet6_done == True:
                imagebutton:
                    auto "treplaycet6_%s.WEBP"
                    action Replay ("treplaycet6", locked = cet6locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet10_done == True:
                imagebutton:
                    auto "treplaycet10_%s.WEBP"
                    action Replay ("treplaycet10", locked = cet10locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if let1_done == True:
                imagebutton:
                    auto "treplaylet1_%s.WEBP"
                    action Replay ("treplaylet1", locked = let1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet14_done == True:
                imagebutton:
                    auto "treplaycet14_%s.WEBP"
                    action Replay ("treplaycet14", locked = cet14locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet17_done == True:
                imagebutton:
                    auto "treplaycet17_%s.WEBP"
                    action Replay ("treplaycet17", locked = cet17locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet18_done == True:
                imagebutton:
                    auto "treplaycet18_%s.WEBP"
                    action Replay ("treplaycet18", locked = cet18locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if let2_done == True:
                imagebutton:
                    auto "treplaylet2_%s.WEBP"
                    action Replay ("treplaylet2", locked = let2locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet22_done == True:
                imagebutton:
                    auto "treplaycet22_%s.WEBP"
                    action Replay ("treplaycet22", locked = cet22locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet24_exhi == True:
                imagebutton:
                    auto "treplaycet24_%s.WEBP"
                    action Replay ("treplaycet24", locked = cet24locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if let3_done == True:
                imagebutton:
                    auto "treplaylet3_%s.WEBP"
                    action Replay ("treplaylet3", locked = let3locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet30_done == True:
                imagebutton:
                    auto "treplaycet30_%s.WEBP"
                    action Replay ("treplaycet30", locked = cet30locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet34_done == True:
                imagebutton:
                    auto "treplaycet34_%s.WEBP"
                    action Replay ("treplaycet34", locked = cet34locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lect4_done == True:
                imagebutton:
                    auto "creplaylect4_%s.WEBP"
                    action Replay ("creplaylect4", locked = lect4locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet50_done == True:
                imagebutton:
                    auto "treplaycet50_%s.WEBP"
                    action Replay ("treplaycet50", locked = cet50locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lehat1_done == True:
                imagebutton:
                    auto "hareplaylehat1_%s.WEBP"
                    action Replay ("hareplaylehat1", locked = lehat1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet54_done == True:
                imagebutton:
                    auto "treplaycet54_%s.WEBP"
                    action Replay ("treplaycet54", locked = cet54locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cet58_done == True:
                imagebutton:
                    auto "treplaycet58_%s.WEBP"
                    action Replay ("treplaycet58", locked = cet58locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null
            

screen replayscreennari():

    tag menu

    use game_menu(_("Nari Replays"), scroll="viewport"):
        grid 3 5:
            if cen8_done == True:
                imagebutton:
                    auto "nreplaycen8_%s.WEBP"
                    action Replay ("nreplaycen8", locked = cen8locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen14_done == True:
                imagebutton:
                    auto "nreplaycen14_%s.WEBP"
                    action Replay ("nreplaycen14", locked = cen14locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if len1_done == True:
                imagebutton:
                    auto "nreplaylen1_%s.WEBP"
                    action Replay ("nreplaylen1", locked = len1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen15_done == True:
                imagebutton:
                    auto "nreplaycen15_%s.WEBP"
                    action Replay ("nreplaycen15", locked = cen15locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen17_done == True:
                imagebutton:
                    auto "nreplaycen17_%s.WEBP"
                    action Replay ("nreplaycen17", locked = cen17locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen21_done == True:
                imagebutton:
                    auto "nreplaycen21_%s.WEBP"
                    action Replay ("nreplaycen21", locked = cen21locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen25_exhi == True:
                imagebutton:
                    auto "nreplaycen25_%s.WEBP"
                    action Replay ("nreplaycen25", locked = cen25locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if len2_done == True:
                imagebutton:
                    auto "nreplaylen2_%s.WEBP"
                    action Replay ("nreplaylen2", locked = len2locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen27_done == True:
                imagebutton:
                    auto "nreplaycen27_%s.WEBP"
                    action Replay ("nreplaycen27", locked = cen27locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cei30_done == True and cei30_miss == False:
                imagebutton:
                    auto "ireplaycei30_%s.WEBP"
                    action Replay ("ireplaycei30", locked = cei30locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen33_done == True:
                imagebutton:
                    auto "nreplaycen33_%s.WEBP"
                    action Replay ("nreplaycen33", locked = cen33locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if len3_done == True:
                imagebutton:
                    auto "nreplaylen3_%s.WEBP"
                    action Replay ("nreplaylen3", locked = len3locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cem37_done == True:
                imagebutton:
                    auto "mreplaycem37_%s.WEBP"
                    action Replay ("mreplaycem37", locked = cem37locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen41_done == True:
                imagebutton:
                    auto "nreplaycen41_%s.WEBP"
                    action Replay ("nreplaycen41", locked = cen41locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null

screen replayscreenina():

    tag menu

    use game_menu(_("Ina Replays"), scroll="viewport"):
        grid 3 2:
            if cei25_done == True:
                imagebutton:
                    auto "ireplaycei25_%s.WEBP"
                    action Replay ("ireplaycei25", locked = cei25locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cen27_done == True:
                imagebutton:
                    auto "nreplaycen27_%s.WEBP"
                    action Replay ("nreplaycen27", locked = cen27locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cei30_done == True and cei30_miss == False:
                imagebutton:
                    auto "ireplaycei30_%s.WEBP"
                    action Replay ("ireplaycei30", locked = cei30locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cei34_done == True:
                imagebutton:
                    auto "ireplaycei34_%s.WEBP"
                    action Replay ("ireplaycei34", locked = cei34locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cei58_done == True:
                imagebutton:
                    auto "ireplaycei58_%s.WEBP"
                    action Replay ("ireplaycei58", locked = cei58locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null


screen replayscreenkimiko():

    tag menu

    use game_menu(_("Kimiko Replays"), scroll="viewport"):
        grid 3 4:
            if cek26_done == True:
                imagebutton:
                    auto "kreplaycek26_%s.WEBP"
                    action Replay ("kreplaycek26", locked = cek26locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lek1_done == True:
                imagebutton:
                    auto "kreplaylek1_%s.WEBP"
                    action Replay ("kreplaylek1", locked = lek1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek29_done == True:
                imagebutton:
                    auto "kreplaycek29_%s.WEBP"
                    action Replay ("kreplaycek29", locked = cek29locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek34_done == True:
                imagebutton:
                    auto "kreplaycek34_%s.WEBP"
                    action Replay ("kreplaycek34", locked = cek34locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek38_done == True:
                imagebutton:
                    auto "kreplaycek38_%s.WEBP"
                    action Replay ("kreplaycek38", locked = cek38locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek46_done == True:
                imagebutton:
                    auto "kreplaycek46_%s.WEBP"
                    action Replay ("kreplaycek46", locked = cek46locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek50_done == True and cek50_exhi == True:
                imagebutton:
                    auto "kreplaycek50_%s.WEBP"
                    action Replay ("kreplaycek50", locked = cek50locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lek2_done == True:
                imagebutton:
                    auto "kreplaylek2_%s.WEBP"
                    action Replay ("kreplaylek2", locked = lek2locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek54_done == True:
                imagebutton:
                    auto "kreplaycek54_%s.WEBP"
                    action Replay ("kreplaycek54", locked = cek54locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cek58_done == True:
                imagebutton:
                    auto "kreplaycek58_%s.WEBP"
                    action Replay ("kreplaycek58", locked = cek58locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null
            null

screen replayscreenasuka():

    tag menu

    use game_menu(_("Asuka Replays"), scroll="viewport"):
        grid 3 2:
            if ceasu30_done == True:
                imagebutton:
                    auto "menu_asureplay_%s.WEBP"
                    action Replay ("asureplayceasu30", locked = ceasu30locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceasu38_done == True:
                imagebutton:
                    auto "asureplayceasu38_%s.WEBP"
                    action Replay ("asureplayceasu38", locked = ceasu38locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceasu46_done == True:
                imagebutton:
                    auto "asureplayceasu46_%s.WEBP"
                    action Replay ("asureplayceasu46", locked = ceasu46locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceasu58_done == True:
                imagebutton:
                    auto "asureplayceasu58_%s.WEBP"
                    action Replay ("asureplayceasu58", locked = ceasu58locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null
            null

screen replayscreenmidori():

    tag menu

    use game_menu(_("Midori Replays"), scroll="viewport"):
        grid 3 2:
            if cem37_done == True:
                imagebutton:
                    auto "mreplaycem37_%s.WEBP"
                    action Replay ("mreplaycem37", locked = cem37locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cem41_done == True:
                imagebutton:
                    auto "mreplaycem41_%s.WEBP"
                    action Replay ("mreplaycem41", locked = cem41locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cem45_done == True:
                imagebutton:
                    auto "mreplaycem45_%s.WEBP"
                    action Replay ("mreplaycem45", locked = cem45locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lem1_done == True and lem1_miss == False:
                imagebutton:
                    auto "mreplaylem1_%s.WEBP"
                    action Replay ("mreplaylem1", locked = lem1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if cem53_done == True:
                imagebutton:
                    auto "mreplaycem53_%s.WEBP"
                    action Replay ("mreplaycem53", locked = cem53locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null

screen replayscreenhana():

    tag menu

    use game_menu(_("Hana Replays"), scroll="viewport"):
        grid 3 2:
            if ceha42_done == True:
                imagebutton:
                    auto "hareplayceha42_%s.WEBP"
                    action Replay ("hareplayceha42", locked = ceha42locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceha45_done == True:
                imagebutton:
                    auto "hareplayceha45_%s.WEBP"
                    action Replay ("hareplayceha45", locked = ceha45locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceha50_done == True:
                imagebutton:
                    auto "hareplayceha50_%s.WEBP"
                    action Replay ("hareplayceha50", locked = ceha50locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if lehat1_done == True:
                imagebutton:
                    auto "hareplaylehat1_%s.WEBP"
                    action Replay ("hareplaylehat1", locked = lehat1locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            if ceha54_done == True:
                imagebutton:
                    auto "hareplayceha54_%s.WEBP"
                    action Replay ("hareplayceha54", locked = ceha54locked)
                    hover_sound "audio/sounds/menuaccent.mp3"
            else:
                null
            null

